<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Report_model extends CI_Model {

    function __construct()
    {
        parent::__construct();
    }
	function get_report_chart($first_day_of_month,$last_day_of_month)
	{
		$this->db->select("users.id as user_id,deployment.course_id as course_id");
		$this->db->join('subcontractor', 'subcontractor.id = deployment.subcontractor_id', 'left');
		$this->db->join('course', 'course.id = deployment.course_id', 'left');
		$this->db->join('utility', 'subcontractor.utility_id = utility.id', 'left');
		$this->db->join('users', 'deployment.id = users.deploy_id', 'left');
		$this->db->from("deployment");
		$this->db->where('deployment.date_added >=' , strtotime($first_day_of_month));
        $this->db->where('deployment.date_added <=' , strtotime($last_day_of_month));
		$this->db->where("users.id IS NOT NULL");	
		$query = $this->db->get();
		if ($query->num_rows() > 0){
			$results = $query->result_array();	
			$completed_count = 0;
			foreach($results as $data){ 
				$status_per = ceil(course_progress($data['course_id'],$data['user_id']));
				if($status_per == 100)
				$completed_count++;
			}
			return $completed_count;
		}
		else
		return $query->num_rows();
	}
	function get_reportdata($filter_data,$limit,$start){  
		$results = array();
		$ST_ID = $filter_data['storm_name_id'];
		$ST_Date = $filter_data['storm_date'];
		$SUB_ID = $filter_data['subcontractor_id'];
		$UTILITY_ID = $filter_data['utility_id'];
		$HSE_ID = $filter_data['hse_id'];
		$USER_STATUS = $filter_data['report_status'];
		
		$this->db->select("users.id as user_id,users.emp_id as emp_id,users.first_name as fname,users.last_name as lname,users.hse_id as hse_id,users.status as user_status,course.title as hse,deployment.notes as notes,deployment.id as deploy_id,deployment.strom_id as strom_id,deployment.date_added as strom_date,deployment.subcontractor_id as subcontractor_id,deployment.course_id as course_id,utility.id as utility_id,utility.name as utility_name,subcontractor.company_name as subcontractor_name");
		$this->db->join('subcontractor', 'subcontractor.id = deployment.subcontractor_id', 'left');
		$this->db->join('course', 'course.id = deployment.course_id', 'left');
		$this->db->join('utility', 'subcontractor.utility_id = utility.id', 'left');
		$this->db->join('users', 'deployment.id = users.deploy_id', 'left');
		$this->db->from("deployment");
		$this->db->limit($limit, $start);
		
		if($ST_ID!='all'){
			$this->db->where('deployment.strom_id',$ST_ID);
		}
		if($USER_STATUS!='all' and $USER_STATUS!='100' and $USER_STATUS!='pending'){
			$this->db->where('users.status',$USER_STATUS);
		}
		if($ST_Date!='' and $ST_Date!='all'){
			$ST_Date = strtotime($ST_Date);
			$this->db->where('deployment.date_added',$ST_Date);
		}
		
		if($HSE_ID!='' and $HSE_ID!='all'){
			$this->db->where('users.hse_id',$HSE_ID);
		}
		
		if($SUB_ID!='' and $SUB_ID!='all'){
			$this->db->where('deployment.subcontractor_id',$SUB_ID);
		}
		if($UTILITY_ID!='' and $UTILITY_ID!='all'){
			$this->db->where('subcontractor.utility_id',$UTILITY_ID);
		}	
		$this->db->where("users.id IS NOT NULL");	
		$query = $this->db->get();
		if ($query->num_rows() > 0){
			$results = $query->result_array();			
			return $results;
		}
		else
		return $results;
	}
	function get_total_reportdata($filter_data,$limit,$start){ 
		$results = array();
		$ST_ID = $filter_data['storm_name_id'];
		$ST_Date = $filter_data['storm_date'];
		$SUB_ID = $filter_data['subcontractor_id'];
		$UTILITY_ID = $filter_data['utility_id'];
		$HSE_ID = $filter_data['hse_id'];
		$USER_STATUS = $filter_data['report_status'];
		
		$this->db->select("users.id as user_id");
		$this->db->join('subcontractor', 'subcontractor.id = deployment.subcontractor_id', 'left');
		$this->db->join('course', 'course.id = deployment.course_id', 'left');
		$this->db->join('utility', 'subcontractor.utility_id = utility.id', 'left');
		$this->db->join('users', 'deployment.id = users.deploy_id', 'left');
		$this->db->from("deployment");
		$this->db->limit($limit, $start);
		
		if($ST_ID!='all'){
			$this->db->where('deployment.strom_id',$ST_ID);
		}
		if($USER_STATUS!='all' and $USER_STATUS!='100' and $USER_STATUS!='pending'){
			$this->db->where('users.status',$USER_STATUS);
		}
		if($ST_Date!='' and $ST_Date!='all'){
			$ST_Date = strtotime($ST_Date);
			$this->db->where('deployment.date_added',$ST_Date);
		}
		
		if($HSE_ID!='' and $HSE_ID!='all'){
			$this->db->where('users.hse_id',$HSE_ID);
		}
		
		if($SUB_ID!='' and $SUB_ID!='all'){
			$this->db->where('deployment.subcontractor_id',$SUB_ID);
		}
		if($UTILITY_ID!='' and $UTILITY_ID!='all'){
			$this->db->where('subcontractor.utility_id',$UTILITY_ID);
		}	
		$this->db->where("users.id IS NOT NULL");	
		$query = $this->db->get();		
		return $query->num_rows();
	}

    function reports($filter_data,$limit,$start)
	{
		$report_data = array();
		$final_data = array();
		$deployment_data = $this->get_reportdata($filter_data,$limit,$start);
		if(count($deployment_data) > 0)
		{
			foreach($deployment_data as $data){
				
				
				$report_data['strom_date'] = $data['strom_date'];
				$report_data['strom_id'] = $data['strom_id'];
				$report_data['utility_name'] = $data['utility_name'];
				$report_data['hse'] = $data['hse'];
				$report_data['notes'] = $data['notes'];
				$report_data['hse_id'] = $data['hse_id'];
				$report_data['subcontractor_name'] = $data['subcontractor_name'];
				$report_data['emp_id'] = $data['emp_id'];
				$report_data['emp_name'] = $data['fname'].' '.$data['lname'];
				$report_data['course_id'] = $data['course_id'];
				$report_data['user_id'] = $data['user_id'];
				$report_data['user_status'] = $data['user_status'];
				
				$final_data[] = $report_data;
			}
				
		}
		
		return $final_data;
	}
	
	function count_all_report($filter_data = array())
	{
		// MULTI INSTRUCTOR COURSE IDS
		$multi_instructor_course_ids = array();
		if ($filter_data['storm_name_id'] != "all") {
		  $multi_instructor_course_ids = $this->crud_model->multi_instructor_course_ids_for_an_instructor($filter_data['selected_instructor_id']);
		}
	
		// apply the filter data
		// check if the user is admin. Admin can not see the draft courses
		if (strtolower($this->session->userdata('role')) == 'admin') {
		  $this->db->where("status !=", 'draft');
		}
		
	
		if ($filter_data['subcontractor_id'] != "all") {
		  $this->db->where('user_id', $filter_data['subcontractor_id']);
		  if ($multi_instructor_course_ids && count($multi_instructor_course_ids)) {
			$this->db->or_where_in('id', $multi_instructor_course_ids);
		  }
		}
		if ($filter_data['utility_id'] != "all") {
		  if ($filter_data['selected_price'] == "paid") {
			$this->db->where('is_free_course', null);
		  } elseif ($filter_data['selected_price'] == "free") {
			$this->db->where('is_free_course', 1);
		  }
		}
		if ($filter_data['report_status'] != "all") {
		  $this->db->where('status', $filter_data['selected_status']);
		}
		$query = $this->db->get('course');
		return $query->num_rows();
	}
	function report_search($limit, $start, $search, $col, $dir, $filter_data)
    {
		
	}
	function report_search_count($search)
	{
		$query = $this
		  ->db
		  ->like('incident_id', $search)
		  ->get('deployment');
		return $query->num_rows();
	}
}


