<!-- start page title -->
<div class="row ">
    <div class="col-xl-12">
        <div class="card">
            <div class="card-body">
                <h4 class="page-title"> <i class="mdi mdi-apple-keyboard-command title_icon"></i> <?php echo get_phrase('add_new_category'); ?></h4>
            </div> <!-- end card body-->
        </div> <!-- end card -->
    </div><!-- end col-->
</div>

<div class="row justify-content-center">
    <div class="col-xl-7">
        <div class="card">
            <div class="card-body">
              <div class="col-lg-12">
                <h4 class="mb-3 header-title"><?php echo get_phrase('category_add_form'); ?></h4>

                <form class="required-form" action="<?php echo site_url('admin/certificate_form/add'); ?>" method="post" enctype="multipart/form-data">
                    <div class="form-group">
                        <label for="name"><?php echo get_phrase('certificate_title'); ?><span class="required">*</span></label>
                        <input type="text" class="form-control" id="certificate_title" name = "certificate_title" required>
                    </div>
                    <div class="row">
                        <div class="form-group col-md-4">
                            <label for="name"><?php echo get_phrase('expire_year'); ?><span class="required">*</span></label>
                            <input type="number" maxlength="4" class="form-control" id="expire_year" name = "expire_year" required>
                        </div>
                        <div class="form-group col-md-4">
                            <label for="name"><?php echo get_phrase('expire_month'); ?><span class="required">*</span></label>
                            <input type="number" maxlength="2" class="form-control" id="expire_month" name="expire_month" required>
                        </div>
                        <div class="form-group col-md-4">
                            <label for="name"><?php echo get_phrase('organization_Id '); ?><span class="required">*</span></label>
                            <input type="text" class="form-control" id="organization_id" name = "organization_id" required>
                        </div>
                    </div>
					<div class="form-group">
                      <label><?php echo ucwords(get_phrase('certificate_template_text')); ?><span class="required">*</span></label>
                      <p class="text-muted font-13">
                        N.B: <strong>"{student}"</strong>, <strong>"{hours}"</strong> <?php echo strtolower(get_phrase('and')); ?> <strong>"{course}"</strong> <?php echo strtolower(get_phrase('represents_student_name,_total_watched_hours_and_course_title_on_the_certificate')); ?>.
                      </p>
                      <textarea name="certificate_template_text" data-toggle="maxlength" class="form-control" maxlength="120" rows="3"
                      placeholder="This textarea has a limit of 120 chars." required></textarea>
                    </div>
                    
                    <div class="form-group">
                        <label><?php echo ucwords(get_phrase('certificate_template')); ?></label>
                        <p class="text-muted font-13">
                          N.B: <?php echo strtolower(get_phrase('make_sure_that_template_size_is_less_than')); ?> <strong>"1MB"</strong>.
                        </p>
                        <div class="form-group mb-2">
                            <div class="wrapper-image-preview">
                                <div class="box" style="width: 250px;">
                                    <div class="js--image-preview" style="background-image: url(<?php echo base_url('uploads/certificates/template.jpg'); ?>); background-color: #F5F5F5;"></div>
                                    <div class="upload-options">
                                        <label for="certificate_template" class="btn"> <i class="mdi mdi-camera"></i> <?php echo get_phrase('certificate_template'); ?></label>
                                        <input id="certificate_template" style="visibility:hidden;" type="file" class="image-upload" name="certificate_template" accept="image/*">
                                    </div>
                                </div>
                            </div>
                        </div>
                      </div>
					<button type="button" class="btn btn-primary" onclick="checkRequiredFields()"><?php echo get_phrase("submit"); ?></button>
                </form>
              </div>
            </div> <!-- end card body-->
        </div> <!-- end card -->
    </div><!-- end col-->
</div>
