<?php $homepage_banner = themeConfiguration(get_frontend_settings('theme'), 'homepage'); ?>
<div class="row ">
    <div class="col-xl-12">
        <div class="card">
            <div class="card-body">
                <h4 class="page-title"> <i class="mdi mdi-apple-keyboard-command title_icon"></i> <?php echo get_phrase('custom_settings'); ?></h4>
            </div>
        </div>
    </div>
</div>

<div class="row justify-content-center">
    <div class="col-xl-12">
        <div class="card">
            <div class="card-body">
                <h4 class="mb-3 header-title"><?php echo get_phrase('Header_custom_CSS_and_JS');?></h4>
                <form class="required-form" action="<?php echo site_url('admin/custom_settings/custom_header'); ?>" method="post" enctype="multipart/form-data">
                    <div class="form-group">
                        <label for="header_custom_css"><?php echo get_phrase('Custom_CSS'); ?></label>
                        <textarea name="header_custom_css" id = "header_custom_css" class="form-control" rows="5"><?php echo get_frontend_settings('header_custom_css'); ?></textarea>
                        <small><strong>Do not need style tag</strong></small>
                    </div>
                    <div class="form-group">
                        <label for="header_custom_js"><?php echo get_phrase('Custom_JS'); ?></label>
                        <textarea name="header_custom_js" id = "header_custom_js" class="form-control" rows="5"><?php echo get_frontend_settings('header_custom_js'); ?></textarea>
                        <small><strong>Do not need script tag</strong></small>
                    </div>
                    <div class="row justify-content-center">
                        <div class="col-md-4">
                            <button type="button" class="btn btn-primary btn-block" onclick="checkRequiredFields()"><?php echo get_phrase('update_header_settings'); ?></button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<div class="row justify-content-center">
    <div class="col-xl-12">
        <div class="card">
            <div class="card-body">
                <h4 class="mb-3 header-title"><?php echo get_phrase('Footer_custom_CSS_and_JS');?></h4>

                <form action="<?php echo site_url('admin/custom_settings/custom_footer'); ?>" method="post" enctype="multipart/form-data">
                    <div class="form-group">
                        <label for="footer_custom_css"><?php echo get_phrase('Custom_CSS'); ?></label>
                        <textarea name="footer_custom_css" id ="footer_custom_css" class="form-control" rows="5"><?php echo get_frontend_settings('footer_custom_css'); ?></textarea>
                        <small><strong>Do not need style tag</strong></small>
                    </div>
                    <div class="form-group">
                        <label for="footer_custom_js"><?php echo get_phrase('Custom_JS'); ?></label>
                        <textarea name="footer_custom_js" id = "footer_custom_js" class="form-control" rows="5"><?php echo get_frontend_settings('footer_custom_js'); ?></textarea>
                        <small><strong>Do not need script tag</strong></small>
                    </div>

                    <div class="row justify-content-center">
                        <div class="col-md-4">
                            <button type="submit" class="btn btn-primary btn-block"><?php echo get_phrase('update_footer_settings'); ?></button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<div class="row justify-content-center">
    <div class="col-xl-12">
        <div class="card">
            <div class="card-body">
                <h4 class="mb-3 header-title"><?php echo get_phrase('default_schema');?></h4>

                <form action="<?php echo site_url('admin/custom_settings/default_schema'); ?>" method="post" enctype="multipart/form-data">
                    <div class="form-group">
                            <label for="image_schema"><?php echo get_phrase('Image'); ?></label>
                            <input type="text" name = "image_schema" id = "image_schema" class="form-control" value="<?php echo get_frontend_settings('image_schema');  ?>">
                    </div>
                    <div class="form-group">
                        <label for="description_schema"><?php echo get_phrase('description'); ?></label>
                        <textarea name="description_schema" id = "description_schema" class="form-control" rows="5"><?php echo get_frontend_settings('description_schema'); ?></textarea>
                        <!-- <small><strong>Do not need script tag</strong></small> -->
                    </div>

                    <div class="form-group">
                        <label for="author_schema"><?php echo get_phrase('author'); ?></label>
                        <input type="text" name = "author_schema" id = "author_schema" class="form-control" value="<?php echo get_frontend_settings('author_schema');  ?>">
                    </div>

                    <div class="form-group">
                        <label for="keywords_schema"><?php echo get_phrase('keywords'); ?></label>
                        <input type="text" name = "keywords_schema" id = "keywords_schema" class="form-control" value="<?php echo get_frontend_settings('keywords_schema');  ?>">
                    </div>

                    <div class="row justify-content-center">
                        <div class="col-md-4">
                            <button type="submit" class="btn btn-primary btn-block"><?php echo get_phrase('update_schema_settings'); ?></button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>