<div class="row ">
    <div class="col-xl-12">
        <div class="card">
            <div class="card-body">
                <h4 class="page-title"> <i class="mdi mdi-apple-keyboard-command title_icon"></i> <?php echo get_phrase('mass_edit_courses'); ?></h4>
            </div> <!-- end card body-->
        </div> <!-- end card -->
    </div><!-- end col-->
</div>

<div class="row">
    <div class="col-xl-12">
        <div class="card">
            <div class="card-body">

                <div class="row">
                    <div class="col-md-6">
                        <h4 class="header-title my-1"><?php echo get_phrase('mass_edit_form'); ?></h4>
                    </div>
                    <div class="col-md-6">
                        <a href="<?php echo site_url('admin/courses'); ?>" class="alignToTitle btn btn-outline-secondary btn-rounded btn-sm my-1"> <i class=" mdi mdi-keyboard-backspace"></i> <?php echo get_phrase('back_to_course_list'); ?></a>
                    </div>
                </div>

                <div class="row">
                    <div class="col-xl-12">
                        <form class="required-form" action="<?php echo site_url('admin/mass_edit_course_form'); ?>" method="post" enctype="multipart/form-data">
                        	<input type="hidden" id="selected_course_ids" name="selected_course_ids" value="<?php echo rtrim( $mass_edit_course_ids, ","); ?>" />
                            <div id="mass_edit_option">
                            	<div class="row">
                                	<div class="col-md-12">
                                    	<ul class="nav nav-pills nav-justified form-wizard-header">
                                            <li class="nav-item pt-2 pb-2">
                                                <i class="mdi mdi-account-circle"></i>
                                                <span class="d-none d-sm-inline"><?php echo get_phrase('mass_edit_fields'); ?></span>
                                            </li>
                                        </ul> 
                                    </div>  
                                </div> 
                            	<div class="row justify-content-center mt-2">
                                    <div class="col-xl-5" style="margin-right:5px;">
                                        <div class="form-group mb-1">
                                            <label class="col-form-label" for="new_instructor"><?php echo get_phrase('add_new_instructor'); ?></label>
                                            <select class="select2 form-control select2-multiple" data-toggle="select2" multiple="multiple" data-placeholder="Choose ..." name="new_instructors[]">
												<?php $instructors = $this->user_model->get_instructor()->result_array(); ?>
                                                <?php foreach ($instructors as $key => $instructor) : ?>
                                                    <option value="<?php echo html_escape($instructor['id']); ?>"><?php echo html_escape($instructor['first_name'] . ' ' . $instructor['last_name']); ?> ( <?php echo html_escape($instructor['email']); ?> )</option>
                                                <?php endforeach; ?>
                                            </select>
                                        </div>
                                        <div class="form-group mb-1">
                                            <label class="col-form-label" for="sub_category_id"><?php echo get_phrase('category'); ?></label>
                                            <select class="form-control select2" data-toggle="select2" name="sub_category_id" id="sub_category_id">
                                                    <option value=""><?php echo get_phrase('select_a_category'); ?></option>
                                                    <?php foreach ($categories->result_array() as $category) : ?>
                                                        <option value="<?php echo $category['id']; ?>"><?php echo $category['name']; ?></option>
                                                    <?php endforeach; ?>
                                                </select>
                                        </div>
                                        <div class="form-group mb-1">
                                            <label for="cattype" class="col-form-label" ><?php echo get_phrase('type'); ?></label>
                                            <div class="">
                                                <select class="form-control select2" data-toggle="select2" name="post_type" id="post_type">
                                                  <option value=""><?php echo get_phrase('select_type'); ?></option>
                                                  <option value="<?php echo get_phrase('prepaid_project'); ?>"><?php echo get_phrase('prepaid_project'); ?></option>
                                                  <option value="<?php echo get_phrase('course'); ?>"><?php echo get_phrase('course'); ?></option>
                                                  <option value="<?php echo get_phrase('compliance'); ?>"><?php echo get_phrase('compliance'); ?></option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="form-group mb-1">
                                            <label for="show_in_catalog" class="col-form-label" ><?php echo get_phrase('show_in_catalog'); ?></label>
                                            <div class="">
                                                <select class="form-control select2" data-toggle="select2" name="show_in_catalog" id="show_in_catalog">
                                                  <option value="1"><?php echo get_phrase('show'); ?></option>
                                                  <option value="0"><?php echo get_phrase('hide'); ?></option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="form-group mb-1">
                                            <label for="product_tier" class=" col-form-label" ><?php echo get_phrase('product_tier'); ?></label>
                                            <div class="">
                                                <select class="form-control select2 " data-toggle="select2" name="product_tier" id="product_tier">
                                                    <option value=""><?php echo get_phrase('select_product_tier'); ?></option>
                                                    <option value="1">1</option>
                                                    <option value="2">2</option>
                                                    <option value="3">3</option>
                                                    <option value="4">4</option>
                                                    <option value="5">5</option>

                                                </select>
                                            </div>
                                        </div>
                                        <div class="form-group mb-1">
                                            <label class="col-form-label" for="level"><?php echo get_phrase('level'); ?></label>
                                            <div class="">
                                                <select class="form-control select2" data-toggle="select2" name="level" id="level">
                                                	<option value=""><?php echo get_phrase('select_level'); ?></option>
                                                    <option value="beginner"><?php echo get_phrase('beginner'); ?></option>
                                                    <option value="advanced"><?php echo get_phrase('advanced'); ?></option>
                                                    <option value="intermediate"><?php echo get_phrase('intermediate'); ?></option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="form-group mb-1">
                                            <label class=" col-form-label" for="language_made_in"><?php echo get_phrase('language_made_in'); ?></label>
                                            <div class="">
                                                <select class="form-control select2" data-toggle="select2" name="language_made_in" id="language_made_in">
                                                	<option value=""><?php echo get_phrase('select_language'); ?></option>
                                                    <?php foreach ($languages as $language): ?>
                                                        <option value="<?php echo $language; ?>"><?php echo ucfirst($language); ?></option>
                                                    <?php endforeach; ?>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xl-5">                                        
                                        <div class="form-group mb-1">
                                            <label class="col-form-label" for="website_keywords"><?php echo get_phrase('meta_keywords'); ?></label>
                                            <div class="">
                                                <input type="text" class="form-control bootstrap-tag-input" id = "meta_keywords" name="meta_keywords" data-role="tagsinput" style="width: 100%;" placeholder="<?php echo get_phrase('write_a_keyword_and_then_press_enter_button'); ?>"./>
                                            </div>
                                        </div>
                                        <div class="form-group mb-1 mt-2">
                                            <div class="custom-control custom-checkbox">
                                                <input type="checkbox" class="custom-control-input" name="is_top_course" id="is_top_course" value="1">
                                                <label class="custom-control-label" for="is_top_course"><?php echo get_phrase('check_if_this_course_is_top_course'); ?></label>
                                            </div>
                                        </div>
                                        <div class="form-group mb-1">
                                            <div class="custom-control custom-checkbox">
                                                <input type="checkbox" class="custom-control-input" name="is_video_tracking" id="is_video_tracking" value="1">
                                                <label class="custom-control-label" for="is_video_tracking"><?php echo get_phrase('check_if_video_tracking_is_on'); ?></label>
                                            </div>
                                        </div>
                                        <div class="form-group mb-1">
                                            <div class="custom-control custom-checkbox">
                                                <input type="checkbox" class="custom-control-input" name="is_free_course" id="is_free_course" value="1" onclick="togglePriceFields(this.id)">
                                                <label class="custom-control-label" for="is_free_course"><?php echo get_phrase('check_if_this_is_a_free_course'); ?></label>
                                            </div>
                                        </div>
                                        <div class="paid-course-stuffs">
                                            <div class="form-group mb-1 mt-2">
                                                <label class="col-form-label" for="price"><?php echo get_phrase('course_price').' ('.currency_code_and_symbol().')'; ?></label>
                                                <input type="number" class="form-control" id="price" name = "price" placeholder="<?php echo get_phrase('enter_course_course_price'); ?>" min="0">
                                            </div>

                                            <div class="form-group mb-1">
                                                <div class="custom-control custom-checkbox">
                                                    <input type="checkbox" class="custom-control-input" name="discount_flag" id="discount_flag" value="1">
                                                    <label class="custom-control-label" for="discount_flag"><?php echo get_phrase('check_if_this_course_has_discount'); ?></label>
                                                </div>
                                            </div>

                                            <div class="form-group mb-1">
                                                <label class="col-form-label" for="discounted_price"><?php echo get_phrase('discounted_price').' ('.currency_code_and_symbol().')'; ?></label>
                                                <div class="">
                                                    <input type="number" class="form-control" name="discounted_price" id="discounted_price" onkeyup="calculateDiscountPercentage(this.value)" min="0">
                                                    <small class="text-muted"><?php echo get_phrase('this_course_has'); ?> <span id = "discounted_percentage" class="text-danger">0%</span> <?php echo get_phrase('discount'); ?></small>
                                                </div>
                                            </div>
                                        </div>
                                        <?php include 'mass_edit_course_setting.php'; ?>
                                        
                                        <div class="mb-5 mt-3">
                                            <button type="button" class="btn btn-primary text-center" onclick="checkRequiredFields()"><?php echo get_phrase('submit'); ?></button>
                                        </div>
                                    </div>
                                </div>                        
                            </div> <!-- end #progressbarwizard-->
                        </form>
                    </div>
                </div><!-- end row-->
            </div> <!-- end card-body-->
        </div> <!-- end card-->
    </div>
</div>
<script type="text/javascript">

function calculateDiscountPercentage(discounted_price) {
  if (discounted_price > 0) {
    var actualPrice = jQuery('#price').val();
    if ( actualPrice > 0) {
      var reducedPrice = actualPrice - discounted_price;
      var discountedPercentage = (reducedPrice / actualPrice) * 100;
      if (discountedPercentage > 0) {
        jQuery('#discounted_percentage').text(discountedPercentage.toFixed(2)+'%');

      }else {
        jQuery('#discounted_percentage').text('<?php echo '0%'; ?>');
      }
    }
  }
}

</script>
<style media="screen">
body {
  overflow-x: hidden;
}
</style>