<?php
$total_price = 0;
?>

<ul class="list-group list-group-flush mb-5">
    <?php foreach ($this->session->userdata('cart_items') as $cart_item) :
        $course_details = $this->crud_model->get_course_by_id($cart_item)->row_array();
        $instructor_details = $this->user_model->get_all_user($course_details['user_id'])->row_array();
    ?>
        <li class="list-group-item border-bottom py-0">

            <div class="d-flex py-5">
                <div class=" w-90p h-170p align-self-center">
                    <img src="<?php echo $this->crud_model->get_course_thumbnail_url($cart_item); ?>" alt="" class="img-fluid">

                </div>

                <div class="flex-grow-1 mt-1 ml-4">
                    <h6 class="font-weight-normal mb-0"><?php echo $course_details['title']; ?></h6>
                    <div><?php echo $instructor_details['first_name'] . ' ' . $instructor_details['last_name']; ?></div>
                    <div class="font-size-sm justify-content-end">
                        <?php if ($course_details['discount_flag'] == 1) :
                            $total_price += $course_details['discounted_price']; ?>
                            <span class="current-price"><?php echo currency($course_details['discounted_price']); ?></span>
                            <del class="original-price"><?php echo currency($course_details['price']); ?></del>
                        <?php else :
                            $total_price += $course_details['price']; ?>
                            <span class="current-price"><?php echo currency($course_details['price']); ?></span>
                        <?php endif; ?>
                    </div>
                </div>

                <button id="<?php echo $course_details['id']; ?>" onclick="removeFromCartListItem(this)" class="d-inline-flex text-secondary btn" aria-label="Remove this item"> 
                    <!-- Icon -->
                    <svg width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M10.0469 0H5.95294C5.37707 0 4.90857 0.4685 4.90857 1.04437V3.02872H6.16182V1.25325H9.83806V3.02872H11.0913V1.04437C11.0913 0.4685 10.6228 0 10.0469 0Z" fill="currentColor" />
                        <path d="M11.0492 5.51652L9.7968 5.47058L9.52527 12.8857L10.7777 12.9315L11.0492 5.51652Z" fill="currentColor" />
                        <path d="M8.62666 5.49353H7.37341V12.9087H8.62666V5.49353Z" fill="currentColor" />
                        <path d="M6.47453 12.8855L6.203 5.47034L4.95056 5.51631L5.22212 12.9314L6.47453 12.8855Z" fill="currentColor" />
                        <path d="M0.543091 2.4021V3.65535H1.849L2.885 15.4283C2.9134 15.7519 3.18434 16 3.50912 16H12.4697C12.7946 16 13.0657 15.7517 13.0939 15.4281L14.1299 3.65535H15.4569V2.4021H0.543091ZM11.8958 14.7468H4.08293L3.10706 3.65535H12.8719L11.8958 14.7468Z" fill="currentColor" />
                    </svg>

                </button>
                
            </div>
        </li>
    <?php endforeach; ?>


</ul>

<div class="d-flex mb-5">
    <h5 class="mb-0 mr-auto"><?php echo site_phrase("order_subtotal") ?></h5>
    <h5 class="mb-0"><?php echo currency($total_price); ?></h5>
</div>

<div class="d-md-flex justify-content-between">
    <a href="<?php echo site_url('home/shopping_cart') ?>" class="d-block d-md-inline-block mb-4 mb-md-0 btn btn-primary btn-sm-wide"><?php echo site_phrase("view_cart") ?></a>
    <button onclick="handleCheckOut()" class="d-block d-md-inline-block btn btn-teal btn-sm-wide"><?php echo site_phrase("checkout") ?></button>
</div>