<?php

$course_details = $this->crud_model->get_course_by_id($course_id)->row_array();

$instructor_details = $this->user_model->get_all_user($course_details['user_id'])->row_array();

?>

<div class="container">

    <nav class="mb-5 mb-md-8 mt-2" aria-label="breadcrumb">

        <ol class="breadcrumb breadcrumb-scroll">

            <li class="breadcrumb-item">

                <a class="text-gray-800" href="<?php echo site_url('home') ?>">

                    <?php echo site_phrase('home') ?>

                </a>

            </li>

            <li class="breadcrumb-item">

                <a class="text-gray-800" href="<?php echo site_url('home/courses') ?>">

                    <?php echo site_phrase('course_list') ?>

                </a>

            </li>

            <li class="breadcrumb-item text-gray-800 active" aria-current="page">

                <?php echo site_phrase('course_single') ?>

            </li>

        </ol>

    </nav>

</div>



<!-- COURSE

    ================================================== -->

<div class="container">

    <div class="row mb-8">

        <div class="col-lg-8 mb-6 mb-lg-0">

            <h1 class="mr-7 mr-xl-14">

                <h1 class="title" style="max-width:90%">

                    <?php echo $course_details['title']; ?>

                </h1>

            </h1>

            <p class="mr-xl-13 mb-5">

                <?php echo $course_details['short_description']; ?>

            </p>



            <p class="cursor-pointer badge badge-lg badge-rounded-circle badge-secondary font-size-base badge-float badge-float-inside top-0 text-red">

                <i class="fa-heart <?php echo $this->crud_model->is_added_to_wishlist($course_details['id']) ? "fas" : "far" ?>" id="<?php echo $course_details['id'] ?>" onclick="handleAddToWishlist(this)"></i>



            </p>



            <!-- COURSE META

                ================================================== -->

            <div class="d-md-flex align-items-center mb-5">

                <div class=" rounded-circle d-inline-block mb-4 mb-md-0 mr-md-6 mr-lg-4 mr-xl-6">



                    <?php if ($course_details['multi_instructor']) : ?>

                        <?php $instructors = $this->user_model->get_multi_instructor_details_with_csv($course_details['user_id']); ?>

                        <?php foreach ($instructors as $key => $instructor) : ?>

                            <div class="border rounded-circle">



                                <div class="p-2">

                                    <a class="rounded-circle" href="<?php echo site_url('home/instructor_page/' . $instructor['id']); ?>">

                                        <img class="rounded-circle" src="<?php echo $this->user_model->get_user_image_url($instructor['id']); ?>" width="68px" height="68px" data-bs-toggle="tooltip" data-bs-placement="top" title="<?php echo $instructor['first_name'] . ' ' . $instructor['last_name']; ?>" onclick="event.stopPropagation(); $(location).attr('href', '<?php echo site_url('home/instructor_page/' . $instructor['id']); ?>');">

                                    </a>

                                </div>

                            </div>

                        <?php endforeach; ?>

                    <?php else : ?>

                        <?php $user_details = $this->user_model->get_all_user($course_details['user_id'])->row_array(); ?>

                        <div class="border rounded-circle">

                            <div class="p-2">

                                <a class="rounded-circle" href="<?php echo site_url('home/instructor_page/' . $user_details['id']); ?>">

                                    <img class="rounded-circle" src="<?php echo $this->user_model->get_user_image_url($user_details['id']); ?>" width="68px" height="68px" data-bs-toggle="tooltip" data-bs-placement="top" title="<?php echo $user_details['first_name'] . ' ' . $user_details['last_name']; ?>" onclick="event.stopPropagation(); $(location).attr('href', '<?php echo site_url('home/instructor_page/' . $user_details['id']); ?>');">

                                </a>

                            </div>

                        </div>

                    <?php endif; ?>

                </div>



                <div class="mb-4 mb-md-0 mr-md-8 mr-lg-4 mr-xl-8">

                    <h6 class="mb-0">

                        <?php echo site_phrase('created_by'); ?>

                    </h6>





                    <?php if ($course_details['multi_instructor']) : ?>

                        <?php $instructors = $this->user_model->get_multi_instructor_details_with_csv($course_details['user_id']); ?>

                        <?php foreach ($instructors as $key => $instructor) : ?>

                            <a class="text-14px fw-600 text-decoration-none text-gray-800" href="<?php echo site_url('home/instructor_page/' . $instructor['id']); ?>">

                                <?php echo $instructor['first_name'] . ' ' . $instructor['last_name']; ?>

                            </a>

                            <?php echo $key + 1 == count($instructors) ? '' : ', '; ?>

                        <?php endforeach; ?>

                    <?php else : ?>

                        <a class="text-14px fw-600 text-decoration-none text-gray-800" href="<?php echo site_url('home/instructor_page/' . $course_details['user_id']); ?>">

                            <?php echo $instructor_details['first_name'] . ' ' . $instructor_details['last_name']; ?>

                        </a>

                    <?php endif; ?>



                </div>



                <div class="mb-4 mb-md-0 mr-md-8 mr-lg-4 mr-xl-8">

                    <h6 class="mb-0">

                        <?php echo site_phrase('Categories') ?>

                    </h6>

                    <?php $category = $this->crud_model->get_category_details_by_id($course_details['sub_category_id'])->row_array(); ?>

                    <a href="#" class="font-size-sm text-gray-800">

                        <?php echo $category['name'] ?>

                    </a>

                </div>



                <div class="mb-4 mb-md-0 mr-md-6 mr-lg-4 mr-xl-6">

                    <h6 class="mb-0"><?php echo site_phrase('review'); ?></h6>

                    <div class="d-lg-flex align-items-center">

                        <div class="mb-2 mb-lg-0">

                            <?php

                            $total_rating = $this->crud_model->get_ratings('course', $course_details['id'], true)->row()->rating;

                            $number_of_ratings = $this->crud_model->get_ratings('course', $course_details['id'])->num_rows();

                            if ($number_of_ratings > 0) {

                                $average_ceil_rating = ceil($total_rating / $number_of_ratings);

                            } else {

                                $average_ceil_rating = 0;

                            }

                            ?>



                            <?php

                            for ($i = 1; $i < 6; $i++) : ?>

                                <?php if ($i <= $average_ceil_rating) : ?>

                                    <div class="star-rating-filled mb-2 mb-lg-0">

                                        <div class="rating-filled w-100"></div>

                                    </div>

                                <?php else : ?>

                                    <div class="star-rating mb-2 mb-lg-0">

                                        <div class="rating w-100"></div>

                                    </div>

                                <?php endif; ?>



                            <?php endfor; ?>





                        </div>



                        <div class="font-size-sm ml-lg-3">

                            <span><?php echo $average_ceil_rating ?> (<?php echo $number_of_ratings ?> <?php echo site_phrase('review') ?>)</span>

                        </div>

                    </div>

                </div>

            </div>

			<!-- Mobile Sidebar

                ================================================== -->
            <div id="mobile_sidebar"></div>

            <!-- COURSE INFO TAB

                ================================================== -->

            <div id="Overview" class="mb-8">

                <ul class="nav course-tab-v1 border-bottom h4 mb-8">

                    <li class="nav-item">

                        <a class="nav-link active" href="#Overview" data-toggle="smooth-scroll" data-offset="0"><?php echo site_phrase('overview') ?></a>

                    </li>

                    <li class="nav-item">

                        <a class="nav-link" href="#Curriculum" data-toggle="smooth-scroll" data-offset="0"><?php echo site_phrase('curriculum') ?></a>

                    </li>

                    <li class="nav-item">

                        <a class="nav-link" href="#Instructor" data-toggle="smooth-scroll" data-offset="0"><?php echo site_phrase('instructor') ?></a>

                    </li>

                    <li class="nav-item">

                        <a class="nav-link" href="#Reviews" data-toggle="smooth-scroll" data-offset="0"><?php echo site_phrase('reviews') ?></a>

                    </li>

                </ul>



                <h3 class="">

                    <?php echo site_phrase('Course Description'); ?>

                </h3>
                <?php if (strlen($course_details['description']) > 300) : ?>
                    <?php
                        $content = substr(strip_tags($course_details['description']), 0, 300);

                        echo $content;
                    ?>
                    <div class="collapse mb-6 line-height-md" id="readcollapseExample">
                        <?php
                        $content1 = substr($course_details['description'], 0);

                        echo $content1;

                        ?>

                    </div>
                    <a class="text-teal read-more h6 d-inline-block mb-8" data-toggle="collapse" href="#readcollapseExample" role="button" aria-expanded="false" aria-controls="readcollapseExample">

                        <span class="d-inline-flex align-items-center more" onclick="Hide()">

                            <?php echo site_phrase('read_more') ?>

                            <span class="d-flex align-items-center justify-content-center bg-teal rounded-circle ml-2 p-2 w-26p">

                                <i class="fas fa-plus font-size-10 text-white"></i>

                            </span>

                        </span>

                        <span class="d-inline-flex align-items-center less" onclick="Show()">

                            <?php echo site_phrase('read_less'); ?>

                            <span class="d-flex align-items-center justify-content-center bg-teal rounded-circle ml-2 p-2 w-26p">

                                <i class="fas fa-minus font-size-10 text-white"></i>

                            </span>

                        </span>

                    </a>
                <?php else :
                        echo $course_details['description'];
                 endif; ?>
                 <a class="text-teal read-more h6 d-inline-block mb-8" data-toggle="collapse" href="#readcollapseExample" role="button" aria-expanded="false" aria-controls="readcollapseExample"></a>
                <h3 class="mb-5">

                    <?php echo site_phrase('what_will_i_learn'); ?>?</h3>

                <div class="row  mb-8">

                    <div class="col-md what-will-learn">

                        <ul class="list-style-v1 list-unstyled">

                            <?php foreach (json_decode($course_details['outcomes']) as $outcomes) : ?>

                                <?php if ($outcomes != "") : ?>

                                    <li>
                                       <i class="fa fa-check checkmark-list" aria-hidden="true"></i>
                                        <?php echo $outcomes; ?>

                                    </li>

                                <?php endif; ?>

                            <?php endforeach; ?>

                        </ul>

                    </div>





                </div>



                <h3 class="mb-5"><?php echo site_phrase('requirements') ?></h3>

                <ul class="list-style-v2 list-unstyled">

                    <?php foreach (json_decode($course_details['requirements']) as $requirement) : ?>

                        <?php if ($requirement != "") : ?>

                            <li>

                                <?php echo $requirement; ?>

                            </li>

                        <?php endif; ?>

                    <?php endforeach; ?>

                </ul>

            </div>



            <div id="Curriculum" class="mb-8">

                <ul class="nav course-tab-v1 border-bottom h4 mb-8">

                    <li class="nav-item">

                        <a class="nav-link " href="#Overview" data-toggle="smooth-scroll" data-offset="0"><?php echo site_phrase('overview') ?></a>

                    </li>

                    <li class="nav-item">

                        <a class="nav-link active" href="#Curriculum" data-toggle="smooth-scroll" data-offset="0"><?php echo site_phrase('curriculum') ?></a>

                    </li>

                    <li class="nav-item">

                        <a class="nav-link" href="#Instructor" data-toggle="smooth-scroll" data-offset="0"><?php echo site_phrase('instructor') ?></a>

                    </li>

                    <li class="nav-item">

                        <a class="nav-link" href="#Reviews" data-toggle="smooth-scroll" data-offset="0"><?php echo site_phrase('reviews') ?></a>

                    </li>

                </ul>



                <div id="accordionCurriculum">

                    <?php

                    $sections = $this->crud_model->get_section('course', $course_id)->result_array();

                    $counter = 0;

                    foreach ($sections as $key => $section) : ?>

                        <div class="border rounded shadow mb-6 overflow-hidden">



                            <div class="d-flex align-items-center" id="curriculumheading<?php echo $section['id']; ?>">

                                <h5 class="mb-0 w-100">

                                    <button class="d-flex align-items-center p-5 min-height-80 text-dark font-weight-medium collapse-accordion-toggle line-height-one" type="button" data-toggle="collapse" data-target="#Curriculumcollapse<?php echo $section['id'] ?>" aria-expanded="true" aria-controls="CurriculumcollapseOne">

                                        <span class="mr-4 text-dark d-flex">

                                            <!-- Icon -->

                                            <svg width="15" height="2" viewBox="0 0 15 2" fill="none" xmlns="http://www.w3.org/2000/svg">

                                                <rect width="15" height="2" fill="currentColor" />

                                            </svg>



                                            <svg width="15" height="16" viewBox="0 0 15 16" fill="none" xmlns="http://www.w3.org/2000/svg">

                                                <path d="M0 7H15V9H0V7Z" fill="currentColor" />

                                                <path d="M6 16L6 8.74228e-08L8 0L8 16H6Z" fill="currentColor" />

                                            </svg>



                                        </span>

                                        <?php echo $section['title']; ?>





                                    </button>

                                </h5>

                                <div class="d-flex align-items-center justify-content-between overflow-auto overflow-md-visible flex-shrink-all">



                                    <div class="badge text-dark-70 bg-orange-40 mr-5 font-size-sm font-weight-normal py-2">

                                        <?php echo $this->crud_model->get_lessons('section', $section['id'])->num_rows() . ' ' . site_phrase('lessons'); ?>

                                    </div>

                                    <div class="badge btn-blue-soft mr-5 font-size-sm font-weight-normal py-2">

                                        <?php echo $this->crud_model->get_total_duration_of_lesson_by_section_id($section['id']); ?>

                                    </div>



                                </div>

                            </div>



                            <div id="Curriculumcollapse<?php echo $section['id'] ?>" class="collapse show" aria-labelledby="curriculumheading<?php echo $section['id'] ?>" data-parent="#accordionCurriculum">

                                <?php $lessons = $this->crud_model->get_lessons('section', $section['id'])->result_array();

                                foreach ($lessons as $lesson) : ?>

                                    <div class="border-top px-5 py-4 min-height-70 d-md-flex align-items-center">



                                        <div class="d-flex align-items-center mr-auto mb-4 mb-md-0">

                                            <div class="text-secondary d-flex">

                                                <svg width="14" height="18" viewBox="0 0 14 18" fill="none" xmlns="http://www.w3.org/2000/svg">

                                                    <path d="M12.5717 0H4.16956C4.05379 0.00594643 3.94322 0.0496071 3.85456 0.124286L0.413131 3.57857C0.328167 3.65957 0.280113 3.77191 0.280274 3.88929V16.8514C0.281452 17.4853 0.794988 17.9988 1.42885 18H12.5717C13.1981 17.9989 13.7086 17.497 13.7203 16.8707V1.14857C13.7191 0.514714 13.2056 0.00117857 12.5717 0ZM8.18099 0.857143H10.6988V4.87714L9.80527 3.45214C9.76906 3.39182 9.71859 3.3413 9.65827 3.30514C9.45529 3.18337 9.19204 3.24916 9.07027 3.45214L8.18099 4.87071V0.857143ZM3.7367 1.46786V2.66143C3.73552 3.10002 3.38029 3.45525 2.9417 3.45643H1.74813L3.7367 1.46786ZM12.8546 16.86C12.8534 17.0157 12.7274 17.1417 12.5717 17.1429H1.42885C1.42665 17.1429 1.42445 17.143 1.42226 17.143C1.26486 17.1441 1.13635 17.0174 1.13527 16.86V4.32214H2.9417C3.85793 4.31979 4.60006 3.57766 4.60242 2.66143V0.857143H7.31527V5.23286C7.31345 5.42593 7.37688 5.61391 7.49527 5.76643C7.67533 5.99539 7.98036 6.08561 8.25599 5.99143L8.28813 5.98071C8.49272 5.89484 8.66356 5.7443 8.77456 5.55214L9.44099 4.48071L10.1074 5.55214C10.2184 5.7443 10.3893 5.89484 10.5938 5.98071C10.8764 6.0922 11.1987 6.00509 11.3867 5.76643C11.5051 5.61391 11.5685 5.42593 11.5667 5.23286V0.857143H12.5717C12.7266 0.858268 12.8523 0.982982 12.8546 1.13786V16.86Z" fill="currentColor" />

                                                    <path d="M10.7761 14.3143H3.22252C2.98584 14.3143 2.79395 14.5062 2.79395 14.7429C2.79395 14.9796 2.98584 15.1715 3.22252 15.1715H10.7761C11.0128 15.1715 11.2047 14.9796 11.2047 14.7429C11.2047 14.5062 11.0128 14.3143 10.7761 14.3143Z" fill="currentColor" />

                                                    <path d="M10.7761 12.2035H3.22252C2.98584 12.2035 2.79395 12.3954 2.79395 12.6321C2.79395 12.8687 2.98584 13.0606 3.22252 13.0606H10.7761C11.0128 13.0606 11.2047 12.8687 11.2047 12.6321C11.2047 12.3954 11.0128 12.2035 10.7761 12.2035Z" fill="currentColor" />

                                                    <path d="M10.7761 10.0928H3.22252C2.98584 10.0928 2.79395 10.2847 2.79395 10.5213C2.79395 10.758 2.98584 10.9499 3.22252 10.9499H10.7761C11.0128 10.9499 11.2047 10.758 11.2047 10.5213C11.2047 10.2847 11.0128 10.0928 10.7761 10.0928Z" fill="currentColor" />

                                                    <path d="M10.7761 7.98218H3.22252C2.98584 7.98218 2.79395 8.17407 2.79395 8.41075C2.79395 8.64743 2.98584 8.83932 3.22252 8.83932H10.7761C11.0128 8.83932 11.2047 8.64743 11.2047 8.41075C11.2047 8.17407 11.0128 7.98218 10.7761 7.98218Z" fill="currentColor" />

                                                </svg>



                                            </div>









                                            <div class="ml-4 d-flex">



                                                <span class="cursor-pointer <?php if ($lesson['is_free'] == 1) {

                                                                    echo 'text-primary';

                                                                }

                                                                ?> " onclick="go_course_playing_page('<?php echo $course_details['id']; ?>', '<?php echo $lesson['id']; ?>')"><?php echo $lesson['title']; ?></span>



                                                <div class=" ml-3">

                                                    <?php if ($lesson['is_free'] == 1) : ?>

                                                        <span class="badge btn-blue-soft mr-5 font-size-sm font-weight-normal py-2 cursor-pointer"onclick="lesson_preview('<?php echo site_url('home/preview_free_lesson/' . $lesson['id']); ?>', '<?php echo site_phrase('lesson') . ': ' . $lesson['title']; ?>')">

                                                            <i class="fas fa-eye"></i>

                                                            <?php echo site_phrase('preview'); ?>

                                                        </span>

                                                    <?php endif; ?>





                                                </div>

                                            </div>







                                        </div>







                                    </div>

                                <?php endforeach; ?>





                            </div>

                        </div>





                    <?php endforeach; ?>

                </div>

            </div>





            <div id="Instructor" class="mb-8">

                <ul class="nav course-tab-v1 border-bottom h4 mb-8">

                    <li class="nav-item">

                        <a class="nav-link" href="#Overview" data-toggle="smooth-scroll" data-offset="0"><?php echo site_phrase('overview') ?></a>

                    </li>

                    <li class="nav-item">

                        <a class="nav-link" href="#Curriculum" data-toggle="smooth-scroll" data-offset="0"><?php echo site_phrase('curriculum') ?></a>

                    </li>

                    <li class="nav-item">

                        <a class="nav-link active" href="#Instructor" data-toggle="smooth-scroll" data-offset="0"><?php echo site_phrase('instructor') ?></a>

                    </li>

                    <li class="nav-item">

                        <a class="nav-link" href="#Reviews" data-toggle="smooth-scroll" data-offset="0"><?php echo site_phrase('reviews') ?></a>

                    </li>

                </ul>



                <h3 class="mb-6"><?php echo site_phrase('about_instructor'); ?></h3>

                <?php if ($course_details['multi_instructor']) : ?>

                    <?php $instructors = $this->user_model->get_multi_instructor_details_with_csv($course_details['user_id']); ?>

                    <?php foreach ($instructors as $key => $instructor) : ?>

                        <?php if ($key > 0) {

                            echo "<hr>";

                        }

                        ?>

                        <div class="media align-items-center mb-6">

                            <div class="d-inline-block rounded-circle border mr-6 p-2">

                                <div class="avatar avatar-size-120">

                                    <a href="<?php echo site_url('home/instructor_page/' . $instructor['id']); ?>">

                                        <img src="<?php echo $this->user_model->get_user_image_url($instructor['id']); ?>" alt="..." class="avatar-img rounded-circle">



                                    </a>

                                </div>

                            </div>

                            <div class="media-body">

                                <h4 class="mb-0"><a href="<?php echo site_url('home/instructor_page/' . $instructor['id']); ?>"><?php echo $instructor['first_name'] . ' ' . $instructor['last_name']; ?></a> </h4>

                                <span><?php echo $instructor['title']; ?></span>

                            </div>

                        </div>



                        <div class="row mx-xl-n5 mb-6">





                            <div class="col-12 col-md-auto mb-3 mb-md-0 px-xl-5">

                                <div class="d-flex align-items-center">

                                    <div class="mr-3 d-flex text-secondary icon-uxs">

                                        <!-- Icon -->

                                        <svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg">

                                            <path d="M9.96092 7.89061C10.3924 7.89061 10.7422 8.24034 10.7422 8.67186C10.7422 9.10338 10.3924 9.45311 9.96092 9.45311C9.5294 9.45311 9.17967 9.10338 9.17967 8.67186C9.17967 8.24034 9.5294 7.89061 9.96092 7.89061ZM12.6953 8.67186C12.6953 9.10338 13.045 9.45311 13.4765 9.45311C13.9081 9.45311 14.2578 9.10338 14.2578 8.67186C14.2578 8.24034 13.9081 7.89061 13.4765 7.89061C13.045 7.89061 12.6953 8.24034 12.6953 8.67186ZM5.66405 8.67186C5.66405 9.10338 6.01378 9.45311 6.4453 9.45311C6.87682 9.45311 7.22655 9.10338 7.22655 8.67186C7.22655 8.24034 6.87682 7.89061 6.4453 7.89061C6.01378 7.89061 5.66405 8.24034 5.66405 8.67186ZM19.313 15.9985C20.2273 16.9128 20.2273 18.3996 19.3135 19.3135C18.8566 19.7703 18.2563 19.9989 17.6562 19.9989C17.0561 19.9989 16.4558 19.7703 15.999 19.3135L11.7103 15.0345C11.6192 14.9435 11.5521 14.8317 11.5147 14.7084L10.5806 11.6333C10.4977 11.3606 10.5699 11.0646 10.7689 10.8606C10.9678 10.6567 11.262 10.5774 11.5367 10.6534L14.6899 11.5268C14.8198 11.5628 14.938 11.6316 15.0334 11.7268L19.313 15.9985ZM12.9527 14.0667L15.8468 16.9545L16.9519 15.8494L14.0748 12.9779L12.4885 12.5384L12.9527 14.0667ZM18.2086 17.1038L18.0578 16.9532L16.9529 18.0581L17.1032 18.208C17.4084 18.5133 17.904 18.5133 18.2086 18.2086C18.5133 17.904 18.5133 17.4084 18.2086 17.1038ZM10.4346 16.1895C10.2902 16.1958 10.144 16.199 9.99998 16.199C8.74373 16.199 7.53432 15.9651 6.40547 15.5038C6.21321 15.4254 5.99746 15.4266 5.80611 15.5073L2.24884 17.0089L3.44741 14.1697C3.5646 13.8922 3.51165 13.5718 3.31115 13.3465C2.1672 12.0614 1.5625 10.5238 1.5625 8.90028C1.5625 4.85427 5.34759 1.5625 9.99998 1.5625C14.6524 1.5625 18.4375 4.85427 18.4375 8.90028C18.4375 9.85975 18.2019 10.823 17.7371 11.7631C17.5459 12.1499 17.7044 12.6185 18.0912 12.8097C18.4781 13.0009 18.9466 12.8424 19.1378 12.4556C19.7099 11.2982 20 10.1021 20 8.90028C20 3.99261 15.514 0 9.99998 0C4.48608 0 0 3.99261 0 8.90028C0 10.7527 0.628051 12.507 1.82174 14.0031L0.0614928 18.1727C-0.0621032 18.4655 0.00411988 18.8041 0.228881 19.0289C0.378417 19.1784 0.578154 19.2578 0.781401 19.2578C0.883787 19.2578 0.987089 19.2376 1.08505 19.1963L6.12136 17.0703C7.34969 17.5291 8.65294 17.7615 9.99998 17.7615C10.1666 17.7615 10.3358 17.7577 10.5029 17.7505C10.934 17.7316 11.2681 17.3669 11.2492 16.9359C11.2304 16.5048 10.865 16.1696 10.4346 16.1895Z" fill="currentColor" />

                                        </svg>



                                    </div>

                                    <?php echo $this->crud_model->get_instructor_wise_course_ratings($instructor['id'], 'course')->num_rows() . ' ' . site_phrase('reviews'); ?>

                                </div>

                            </div>



                            <div class="col-12 col-md-auto mb-3 mb-md-0 px-xl-5">

                                <div class="d-flex align-items-center">

                                    <div class="mr-3 d-flex text-secondary icon-uxs">

                                        <svg width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">

                                            <path d="M17.1947 7.06802L14.6315 7.9985C14.2476 7.31186 13.712 6.71921 13.0544 6.25992C12.8525 6.11877 12.6421 5.99365 12.4252 5.88303C13.0586 5.25955 13.452 4.39255 13.452 3.43521C13.452 1.54098 11.9124 -1.90735e-06 10.0197 -1.90735e-06C8.12714 -1.90735e-06 6.58738 1.54098 6.58738 3.43521C6.58738 4.39255 6.98075 5.25955 7.61414 5.88303C7.39731 5.99365 7.1869 6.11877 6.98502 6.25992C6.32752 6.71921 5.79178 7.31186 5.40787 7.9985L2.8447 7.06802C2.33612 6.88339 1.79688 7.26044 1.79688 7.80243V16.5178C1.79688 16.8465 2.00256 17.14 2.31155 17.2522L9.75312 19.9536C9.93073 20.018 10.1227 20.0128 10.2863 19.9536L17.7278 17.2522C18.0368 17.14 18.2425 16.8465 18.2425 16.5178V7.80243C18.2425 7.26135 17.704 6.88309 17.1947 7.06802ZM10.0197 1.5625C11.0507 1.5625 11.8895 2.40265 11.8895 3.43521C11.8895 4.46777 11.0507 5.30792 10.0197 5.30792C8.98866 5.30792 8.14988 4.46777 8.14988 3.43521C8.14988 2.40265 8.98866 1.5625 10.0197 1.5625ZM9.23844 18.1044L3.35938 15.9703V8.91724L9.23844 11.0513V18.1044ZM10.0197 9.67255L6.90644 8.54248C7.58164 7.51892 8.75184 6.87042 10.0197 6.87042C11.2875 6.87042 12.4577 7.51892 13.1329 8.54248L10.0197 9.67255ZM16.68 15.9703L10.8009 18.1044V11.0513L16.68 8.91724V15.9703Z" fill="currentColor" />

                                        </svg>



                                    </div>

                                    <?php $course_ids = $this->crud_model->get_instructor_wise_courses($instructor['id'], 'simple_array');

                                    $this->db->select('user_id');

                                    $this->db->distinct();

                                    $this->db->where_in('course_id', $course_ids);

                                    echo $this->db->get('enrol')->num_rows() . ' ' . site_phrase('students'); ?>

                                </div>

                            </div>



                            <div class="col-12 col-md-auto mb-3 mb-md-0 px-xl-5">

                                <div class="d-flex align-items-center">

                                    <div class="mr-3 d-flex text-secondary icon-uxs">

                                        <!-- Icon -->

                                        <svg width="14" height="16" viewBox="0 0 14 16" xmlns="http://www.w3.org/2000/svg">

                                            <path d="M12.8704 6.15374L3.42038 0.328572C2.73669 -0.0923355 1.9101 -0.109836 1.20919 0.281759C0.508282 0.673291 0.0898438 1.38645 0.0898438 2.18929V13.7866C0.0898438 15.0005 1.06797 15.9934 2.27016 16C2.27344 16 2.27672 16 2.27994 16C2.65563 16 3.04713 15.8822 3.41279 15.6591C3.70694 15.4796 3.79991 15.0957 3.62044 14.8016C3.44098 14.5074 3.05697 14.4144 2.76291 14.5939C2.59188 14.6982 2.42485 14.7522 2.27688 14.7522C1.82328 14.7497 1.33763 14.3611 1.33763 13.7866V2.18933C1.33763 1.84492 1.51713 1.53907 1.81775 1.3711C2.11841 1.20314 2.47294 1.21064 2.76585 1.39098L12.2159 7.21615C12.4999 7.39102 12.6625 7.68262 12.6618 8.01618C12.6611 8.34971 12.4974 8.64065 12.2118 8.81493L5.37935 12.9983C5.08548 13.1783 4.9931 13.5623 5.17304 13.8562C5.35295 14.1501 5.73704 14.2424 6.03092 14.0625L12.8625 9.87962C13.5166 9.48059 13.9081 8.78496 13.9096 8.01868C13.9112 7.25249 13.5226 6.55524 12.8704 6.15374Z" fill="currentColor" />

                                        </svg>



                                    </div>

                                    <?php echo $this->crud_model->get_instructor_wise_courses($instructor['id'])->num_rows() . ' ' . site_phrase('courses'); ?>



                                </div>

                            </div>

                        </div>



                        <p class="mb-6 line-height-md"><?php echo ellipsis(strip_tags($instructor['biography']), 180); ?></p>



                    <?php endforeach; ?>

                <?php else : ?>

                    <div class="media align-items-center mb-6">

                        <div class="d-inline-block rounded-circle border mr-6 p-2">

                            <div class="avatar avatar-size-120">

                                <a href="<?php echo site_url('home/instructor_page/' . $instructor_details['id']); ?>">

                                    <img src="<?php echo $this->user_model->get_user_image_url($instructor_details['id']); ?>" alt="..." class="avatar-img rounded-circle">



                                </a>

                            </div>

                        </div>

                        <div class="media-body">

                            <h4 class="mb-0"><a href="<?php echo site_url('home/instructor_page/' . $instructor_details['id']); ?>"><?php echo $instructor_details['first_name'] . ' ' . $instructor_details['last_name']; ?></a> </h4>

                            <span><?php echo $instructor_details['title']; ?></span>

                        </div>

                    </div>



                    <div class="row mx-xl-n5 mb-6">





                        <div class="col-12 col-md-auto mb-3 mb-md-0 px-xl-5">

                            <div class="d-flex align-items-center">

                                <div class="mr-3 d-flex text-secondary icon-uxs">

                                    <!-- Icon -->

                                    <svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg">

                                        <path d="M9.96092 7.89061C10.3924 7.89061 10.7422 8.24034 10.7422 8.67186C10.7422 9.10338 10.3924 9.45311 9.96092 9.45311C9.5294 9.45311 9.17967 9.10338 9.17967 8.67186C9.17967 8.24034 9.5294 7.89061 9.96092 7.89061ZM12.6953 8.67186C12.6953 9.10338 13.045 9.45311 13.4765 9.45311C13.9081 9.45311 14.2578 9.10338 14.2578 8.67186C14.2578 8.24034 13.9081 7.89061 13.4765 7.89061C13.045 7.89061 12.6953 8.24034 12.6953 8.67186ZM5.66405 8.67186C5.66405 9.10338 6.01378 9.45311 6.4453 9.45311C6.87682 9.45311 7.22655 9.10338 7.22655 8.67186C7.22655 8.24034 6.87682 7.89061 6.4453 7.89061C6.01378 7.89061 5.66405 8.24034 5.66405 8.67186ZM19.313 15.9985C20.2273 16.9128 20.2273 18.3996 19.3135 19.3135C18.8566 19.7703 18.2563 19.9989 17.6562 19.9989C17.0561 19.9989 16.4558 19.7703 15.999 19.3135L11.7103 15.0345C11.6192 14.9435 11.5521 14.8317 11.5147 14.7084L10.5806 11.6333C10.4977 11.3606 10.5699 11.0646 10.7689 10.8606C10.9678 10.6567 11.262 10.5774 11.5367 10.6534L14.6899 11.5268C14.8198 11.5628 14.938 11.6316 15.0334 11.7268L19.313 15.9985ZM12.9527 14.0667L15.8468 16.9545L16.9519 15.8494L14.0748 12.9779L12.4885 12.5384L12.9527 14.0667ZM18.2086 17.1038L18.0578 16.9532L16.9529 18.0581L17.1032 18.208C17.4084 18.5133 17.904 18.5133 18.2086 18.2086C18.5133 17.904 18.5133 17.4084 18.2086 17.1038ZM10.4346 16.1895C10.2902 16.1958 10.144 16.199 9.99998 16.199C8.74373 16.199 7.53432 15.9651 6.40547 15.5038C6.21321 15.4254 5.99746 15.4266 5.80611 15.5073L2.24884 17.0089L3.44741 14.1697C3.5646 13.8922 3.51165 13.5718 3.31115 13.3465C2.1672 12.0614 1.5625 10.5238 1.5625 8.90028C1.5625 4.85427 5.34759 1.5625 9.99998 1.5625C14.6524 1.5625 18.4375 4.85427 18.4375 8.90028C18.4375 9.85975 18.2019 10.823 17.7371 11.7631C17.5459 12.1499 17.7044 12.6185 18.0912 12.8097C18.4781 13.0009 18.9466 12.8424 19.1378 12.4556C19.7099 11.2982 20 10.1021 20 8.90028C20 3.99261 15.514 0 9.99998 0C4.48608 0 0 3.99261 0 8.90028C0 10.7527 0.628051 12.507 1.82174 14.0031L0.0614928 18.1727C-0.0621032 18.4655 0.00411988 18.8041 0.228881 19.0289C0.378417 19.1784 0.578154 19.2578 0.781401 19.2578C0.883787 19.2578 0.987089 19.2376 1.08505 19.1963L6.12136 17.0703C7.34969 17.5291 8.65294 17.7615 9.99998 17.7615C10.1666 17.7615 10.3358 17.7577 10.5029 17.7505C10.934 17.7316 11.2681 17.3669 11.2492 16.9359C11.2304 16.5048 10.865 16.1696 10.4346 16.1895Z" fill="currentColor" />

                                    </svg>



                                </div>

                                <?php echo $this->crud_model->get_instructor_wise_course_ratings($instructor_details['id'], 'course')->num_rows() . ' ' . site_phrase('reviews'); ?>

                            </div>

                        </div>



                        <div class="col-12 col-md-auto mb-3 mb-md-0 px-xl-5">

                            <div class="d-flex align-items-center">

                                <div class="mr-3 d-flex text-secondary icon-uxs">

                                    <svg width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">

                                        <path d="M17.1947 7.06802L14.6315 7.9985C14.2476 7.31186 13.712 6.71921 13.0544 6.25992C12.8525 6.11877 12.6421 5.99365 12.4252 5.88303C13.0586 5.25955 13.452 4.39255 13.452 3.43521C13.452 1.54098 11.9124 -1.90735e-06 10.0197 -1.90735e-06C8.12714 -1.90735e-06 6.58738 1.54098 6.58738 3.43521C6.58738 4.39255 6.98075 5.25955 7.61414 5.88303C7.39731 5.99365 7.1869 6.11877 6.98502 6.25992C6.32752 6.71921 5.79178 7.31186 5.40787 7.9985L2.8447 7.06802C2.33612 6.88339 1.79688 7.26044 1.79688 7.80243V16.5178C1.79688 16.8465 2.00256 17.14 2.31155 17.2522L9.75312 19.9536C9.93073 20.018 10.1227 20.0128 10.2863 19.9536L17.7278 17.2522C18.0368 17.14 18.2425 16.8465 18.2425 16.5178V7.80243C18.2425 7.26135 17.704 6.88309 17.1947 7.06802ZM10.0197 1.5625C11.0507 1.5625 11.8895 2.40265 11.8895 3.43521C11.8895 4.46777 11.0507 5.30792 10.0197 5.30792C8.98866 5.30792 8.14988 4.46777 8.14988 3.43521C8.14988 2.40265 8.98866 1.5625 10.0197 1.5625ZM9.23844 18.1044L3.35938 15.9703V8.91724L9.23844 11.0513V18.1044ZM10.0197 9.67255L6.90644 8.54248C7.58164 7.51892 8.75184 6.87042 10.0197 6.87042C11.2875 6.87042 12.4577 7.51892 13.1329 8.54248L10.0197 9.67255ZM16.68 15.9703L10.8009 18.1044V11.0513L16.68 8.91724V15.9703Z" fill="currentColor" />

                                    </svg>



                                </div>

                                <?php $course_ids = $this->crud_model->get_instructor_wise_courses($instructor_details['id'], 'simple_array');

                                $this->db->select('user_id');

                                $this->db->distinct();

                                $this->db->where_in('course_id', $course_ids);

                                echo $this->db->get('enrol')->num_rows() . ' ' . site_phrase('students'); ?>

                            </div>

                        </div>



                        <div class="col-12 col-md-auto mb-3 mb-md-0 px-xl-5">

                            <div class="d-flex align-items-center">

                                <div class="mr-3 d-flex text-secondary icon-uxs">

                                    <!-- Icon -->

                                    <svg width="14" height="16" viewBox="0 0 14 16" xmlns="http://www.w3.org/2000/svg">

                                        <path d="M12.8704 6.15374L3.42038 0.328572C2.73669 -0.0923355 1.9101 -0.109836 1.20919 0.281759C0.508282 0.673291 0.0898438 1.38645 0.0898438 2.18929V13.7866C0.0898438 15.0005 1.06797 15.9934 2.27016 16C2.27344 16 2.27672 16 2.27994 16C2.65563 16 3.04713 15.8822 3.41279 15.6591C3.70694 15.4796 3.79991 15.0957 3.62044 14.8016C3.44098 14.5074 3.05697 14.4144 2.76291 14.5939C2.59188 14.6982 2.42485 14.7522 2.27688 14.7522C1.82328 14.7497 1.33763 14.3611 1.33763 13.7866V2.18933C1.33763 1.84492 1.51713 1.53907 1.81775 1.3711C2.11841 1.20314 2.47294 1.21064 2.76585 1.39098L12.2159 7.21615C12.4999 7.39102 12.6625 7.68262 12.6618 8.01618C12.6611 8.34971 12.4974 8.64065 12.2118 8.81493L5.37935 12.9983C5.08548 13.1783 4.9931 13.5623 5.17304 13.8562C5.35295 14.1501 5.73704 14.2424 6.03092 14.0625L12.8625 9.87962C13.5166 9.48059 13.9081 8.78496 13.9096 8.01868C13.9112 7.25249 13.5226 6.55524 12.8704 6.15374Z" fill="currentColor" />

                                    </svg>



                                </div>

                                <?php echo $this->crud_model->get_instructor_wise_courses($instructor_details['id'])->num_rows() . ' ' . site_phrase('courses'); ?>



                            </div>

                        </div>

                    </div>



                    <p class="mb-6 line-height-md"><?php echo ellipsis(strip_tags($instructor_details['biography']), 180); ?></p>

                <?php endif; ?>



            </div>



            <div id="Reviews" class="mb-8">

                <ul class="nav course-tab-v1 border-bottom h4 mb-8">

                    <li class="nav-item">

                        <a class="nav-link" href="#Overview" data-toggle="smooth-scroll" data-offset="0"><?php echo site_phrase('overview') ?></a>

                    </li>

                    <li class="nav-item">

                        <a class="nav-link" href="#Curriculum" data-toggle="smooth-scroll" data-offset="0"><?php echo site_phrase('curriculum') ?></a>

                    </li>

                    <li class="nav-item">

                        <a class="nav-link" href="#Instructor" data-toggle="smooth-scroll" data-offset="0"><?php echo site_phrase('instructor') ?></a>

                    </li>

                    <li class="nav-item">

                        <a class="nav-link active" href="#Reviews" data-toggle="smooth-scroll" data-offset="0"><?php echo site_phrase('reviews') ?></a>

                    </li>

                </ul>





                <h3 class="mb-6"> <?php echo site_phrase('student_feedback') ?></h3>

                <div class="row align-items-center mb-8">

                    <div class="col-md-auto mb-5 mb-md-0">

                        <div class="border rounded shadow d-flex align-items-center justify-content-center px-9 py-8">

                            <div class="m-2 text-center">

                                <h1 class="display-2 mb-0 font-weight-medium mb-n1"><?php echo $average_ceil_rating ?></h1>

                                <h5 class="mb-0">Course rating</h5>

                                <div class="mb-2 mb-lg-0">







                                    <?php

                                    for ($i = 1; $i < 6; $i++) : ?>

                                        <?php if ($i <= $average_ceil_rating) : ?>

                                            <div class="star-rating-filled mb-2 mb-lg-0">

                                                <div class="rating-filled w-100"></div>

                                            </div>

                                        <?php else : ?>

                                            <div class="star-rating mb-2 mb-lg-0">

                                                <div class="rating w-100"></div>

                                            </div>

                                        <?php endif; ?>



                                    <?php endfor; ?>





                                </div>

                            </div>

                        </div>

                    </div>



                    <div class="col-md">

                        <?php for ($i = 1; $i <= 5; $i++) : ?>

                            <div class="d-md-flex align-items-center my-3 my-md-4">

                                <div class="bg-gray-200 position-relative rounded-pill flex-grow-1 mr-md-5 mb-2 mb-md-0 mw-md-260p height-10px">

                                    <div class="bg-teal rounded-pill position-absolute top-0 left-0 bottom-0" style="width: <?php echo $this->crud_model->get_percentage_of_specific_rating($i, 'course', $course_id); ?>%;"></div>

                                </div>



                                <div class="d-flex align-items-center">

                                    <?php for ($j = 1; $j <= (5 - $i); $j++) : ?>

                                        <div class="star-rating mb-2 mb-lg-0 mr-2">

                                            <div class="rating w-100"></div>

                                        </div>

                                    <?php endfor; ?>

                                    <?php for ($j = 1; $j <= $i; $j++) : ?>



                                        <div class="star-rating-filled mb-2 mb-lg-0 mr-2">

                                            <div class="rating-filled w-100"></div>

                                        </div>

                                    <?php endfor; ?>

                                    <span>

                                        (<?php echo $this->db->get_where('rating', array('ratable_type' => 'course', 'ratable_id' => $course_id, 'rating' => $i))->num_rows(); ?>)

                                    </span>

                                </div>





                            </div>



                        <?php endfor; ?>



                    </div>

                </div>



                <ul class="list-unstyled pt-2">

                    <?php

                    $ratings = $this->crud_model->get_ratings('course', $course_id)->result_array();

                    foreach ($ratings as $rating) :

                    ?>

                        <li class="media">

                            <div class="avatar avatar-xxl mr-3 mr-md-6">

                                <img src="<?php echo $this->user_model->get_user_image_url($rating['user_id']); ?>" alt="..." class="avatar-img rounded-circle">

                            </div>

                            <div class="media-body">

                                <div class="d-md-flex align-items-center mb-5">

                                    <div class="mr-auto mb-4 mb-md-0">

                                        <h5 class="mb-0">

                                            <?php

                                            $user_details = $this->user_model->get_user($rating['user_id'])->row_array();

                                            echo $user_details['first_name'] . ' ' . $user_details['last_name'];

                                            ?>

                                        </h5>



                                    </div>

                                    <div class="mb-2 mb-lg-0">

                                        <?php

                                        for ($i = 1; $i < 6; $i++) : ?>

                                            <?php if ($i <= $rating['rating']) : ?>

                                                <div class="star-rating-filled mb-2 mb-lg-0">

                                                    <div class="rating-filled w-100"></div>

                                                </div>

                                            <?php else : ?>

                                                <div class="star-rating mb-2 mb-lg-0">

                                                    <div class="rating w-100"></div>

                                                </div>

                                            <?php endif; ?>



                                        <?php endfor; ?>

                                    </div>

                                </div>

                                <p class="mb-6 line-height-md"><?php echo $rating['review']; ?></p>

                            </div>

                        </li>

                    <?php endforeach; ?>

                </ul>


				<?php
                if($this->session->userdata('user_id')!== NULL){
				$user_id = $this->session->userdata('user_id');
				$check_enroll = $this->db->get_where('enrol', array('user_id' => $user_id,'course_id' => $course_id));
				if ($check_enroll->num_rows() > 0) {
				?>
                <div class="border shadow rounded p-6 p-md-9">

                    <h3 class="mb-2"><?php echo site_phrase('add_reviews_&_rate') ?></h3>

                    <div class=""><?php echo site_phrase('what_is_it_like_to Course?') ?></div>

                    <form action="javascript:;" method="post" class="course_rating_view_<?php echo $course_details['id']; ?> ">



                        <div class="clearfix">

                            <fieldset class="slect-rating mb-3" id="star_rating_of_course_<?php echo $course_details['id']; ?>">

                                <?php for ($i = 5; $i >= 1; $i--) : ?>

                                    <input type="radio" id="star_<?php echo $course_details['id']; ?>_<?php echo $i; ?>" name="star_rating_<?php echo $course_details['id']; ?>" class="star_rating_of_course_<?php echo $course_details['id']; ?>" value="<?php echo $i; ?>" />

                                    <label class="full" for="star_<?php echo $course_details['id']; ?>_<?php echo $i; ?>" class="star_rating_of_course_<?php echo $course_details['id']; ?>" title=" <?php echo $i ?> stars"></label>

                                <?php endfor; ?>

                            </fieldset>

                        </div>

                        <div class="form-group mb-6">

                            <label for="exampleFormControlTextarea1"><?php echo site_phrase('review_content') ?></label>

                            <textarea class="form-control placeholder-1" id="review_of_a_course_<?php echo $course_details['id']; ?>" rows="6" placeholder="Content"></textarea>

                        </div>



                        <button type="submit" onclick="publishRating('<?php echo $course_details['id'] ?>')" class="btn btn-primary btn-block mw-md-300p"><?php echo site_phrase('submit_review') ?></button>



                    </form>



                </div>
                <?php
                }
				}
				?>

            </div>

        </div>



        <div class="col-lg-4 container_sidebar" >

            <div id="sticky-sidebar-demo">

                <div class="sidebar__inner">

                    <!-- SIDEBAR FILTER

                            ================================================== -->

                    <div class="d-block rounded border p-2 shadow mb-6">

                        <a <?= (isset($course_details['video_url']) && strlen($course_details['video_url']))?("data-fancybox href=". $course_details['video_url']):""; ?> class="d-block sk-thumbnail rounded mb-1">

                            <div style="<?= (isset($course_details['video_url']) && strlen($course_details['video_url']))?"":"display:none !important;"; ?>" class="h-60p w-60p rounded-circle bg-white size-20-all d-inline-flex align-items-center justify-content-center position-absolute center z-index-1">

                                <!-- Icon -->

                                <svg width="14" height="16" viewBox="0 0 14 16" xmlns="http://www.w3.org/2000/svg">

                                    <path d="M12.8704 6.15374L3.42038 0.328572C2.73669 -0.0923355 1.9101 -0.109836 1.20919 0.281759C0.508282 0.673291 0.0898438 1.38645 0.0898438 2.18929V13.7866C0.0898438 15.0005 1.06797 15.9934 2.27016 16C2.27344 16 2.27672 16 2.27994 16C2.65563 16 3.04713 15.8822 3.41279 15.6591C3.70694 15.4796 3.79991 15.0957 3.62044 14.8016C3.44098 14.5074 3.05697 14.4144 2.76291 14.5939C2.59188 14.6982 2.42485 14.7522 2.27688 14.7522C1.82328 14.7497 1.33763 14.3611 1.33763 13.7866V2.18933C1.33763 1.84492 1.51713 1.53907 1.81775 1.3711C2.11841 1.20314 2.47294 1.21064 2.76585 1.39098L12.2159 7.21615C12.4999 7.39102 12.6625 7.68262 12.6618 8.01618C12.6611 8.34971 12.4974 8.64065 12.2118 8.81493L5.37935 12.9983C5.08548 13.1783 4.9931 13.5623 5.17304 13.8562C5.35295 14.1501 5.73704 14.2424 6.03092 14.0625L12.8625 9.87962C13.5166 9.48059 13.9081 8.78496 13.9096 8.01868C13.9112 7.25249 13.5226 6.55524 12.8704 6.15374Z" fill="currentColor" />

                                </svg>



                            </div>
							<?php
							$course_img_url = $this->crud_model->get_course_thumbnail_url($course_details['id']);
							if($course_details['thumbnail'] != '')
							$course_img_url = $course_details['thumbnail'];
							?>
                            <img class="rounded shadow-light-lg" src="<?php echo $course_img_url; ?>" alt="...">

                        </a>





                        <div class="pt-5 pb-4 px-5 px-lg-3 px-xl-5">

                            <div class="d-flex align-items-center mb-2">

                                <?php if ($course_details['is_free_course'] == 1) : ?>

                                    <span class="h2 text-lh-sm mr-1 mb-0"><?php echo site_phrase('free'); ?></span>

                                <?php else : ?>

                                    <?php if ($course_details['discount_flag'] == 1) : ?>

                                        <span class="h2 text-lh-sm mr-1 mb-0"><?php echo currency($course_details['discounted_price']); ?></span>

                                        <span class="lead text-muted text-lh-sm"><del class="ml-3"><?php echo currency($course_details['price']); ?></del></span>

                                    <?php else : ?>

                                        <span class="h2 text-lh-sm mr-1 mb-0"><?php echo currency($course_details['price']); ?></span>

                                    <?php endif; ?>

                                <?php endif; ?>





                            </div>





                            <?php if ($course_details['is_free_course'] == 1) : ?>

                                <div class="d-flex justify-content-center">

                                    <?php if ($this->session->userdata('user_login') != 1) : ?>

                                        <a href="javascript:;" class="btn btn-primary btn-block mb-3" onclick="handleEnrolledButton()"><?php echo site_phrase('get_enrolled'); ?></a>

                                    <?php else : ?>

                                        <a href="<?php echo site_url('home/get_enrolled_to_free_course/' . $course_details['id']); ?>" class="btn btn-primary btn-block mb-3"><?php echo site_phrase('get_enrolled'); ?></a>

                                    <?php endif; ?>

                                </div>

                            <?php else : ?>

                                <div class="d-flex justify-content-center">

                                    <?php if (in_array($course_details['id'], $this->session->userdata('cart_items'))) : ?>

                                        <button class="btn btn-primary btn-block mb-3 addedToCart remove" type="button" id="<?php echo $course_details['id']; ?>" onclick="handleCartItems(this)">

                                            <?php echo site_phrase('added_to_cart'); ?></button>

                                    <?php else : ?>

                                        <button class="btn btn-orange btn-block mb-3 remove" type="button" id="<?php echo $course_details['id']; ?>" onclick="handleCartItems(this)"><?php echo site_phrase('add_to_cart'); ?></button>

                                    <?php endif; ?>

                                </div>

                            <?php endif; ?>



                            <ul class="list-group list-group-flush">

                                <li class="list-group-item d-flex align-items-center py-3 px-2">

                                    <div class="text-secondary d-flex icon-uxs">

                                        <!-- Icon -->

                                        <svg width="16" height="16" viewBox="0 0 16 16" xmlns="http://www.w3.org/2000/svg">

                                            <path d="M14.3164 4.20996C13.985 4.37028 13.8464 4.76904 14.0067 5.10026C14.4447 6.00505 14.6667 6.98031 14.6667 8C14.6667 11.6759 11.6759 14.6667 8 14.6667C4.32406 14.6667 1.33333 11.6759 1.33333 8C1.33333 4.32406 4.32406 1.33333 8 1.33333C9.52328 1.33333 10.9543 1.83073 12.1387 2.77165C12.4259 3.00098 12.846 2.95296 13.0754 2.66471C13.3047 2.37663 13.2567 1.95703 12.9683 1.72803C11.5661 0.613607 9.8016 0 8 0C3.58903 0 0 3.58903 0 8C0 12.411 3.58903 16 8 16C12.411 16 16 12.411 16 8C16 6.77767 15.7331 5.60628 15.2067 4.51969C15.0467 4.18766 14.6466 4.04932 14.3164 4.20996Z" fill="currentColor" />

                                            <path d="M7.99967 2.66663C7.63167 2.66663 7.33301 2.96529 7.33301 3.33329V7.99996C7.33301 8.36796 7.63167 8.66663 7.99967 8.66663H11.333C11.701 8.66663 11.9997 8.36796 11.9997 7.99996C11.9997 7.63196 11.701 7.33329 11.333 7.33329H8.66634V3.33329C8.66634 2.96529 8.36768 2.66663 7.99967 2.66663Z" fill="currentColor" />

                                        </svg>



                                    </div>

                                    <h6 class="mb-0 ml-3 mr-auto"><?= site_phrase("Duration"); ?></h6>

                                    <span> <?php echo $course_duration = $this->crud_model->get_total_duration_of_lesson_by_course_id($course_details['id']) ?></span>

                                </li>

                                <li class="list-group-item d-flex align-items-center py-3">

                                    <div class="text-secondary d-flex icon-uxs">

                                        <!-- Icon -->

                                        <svg width="16" height="16" viewBox="0 0 16 16" xmlns="http://www.w3.org/2000/svg">

                                            <path d="M15.7262 1.94825C13.4059 0.396725 10.401 0.315126 8.00002 1.73839C5.59897 0.315126 2.59406 0.396725 0.273859 1.94825C0.102729 2.06241 -3.54271e-05 2.25456 6.30651e-07 2.46027V14.6553C-0.000323889 14.8826 0.124616 15.0914 0.324917 15.1987C0.525109 15.3058 0.768066 15.294 0.9569 15.168C2.98471 13.8111 5.63063 13.8111 7.65844 15.168C7.66645 15.1735 7.67568 15.1747 7.68368 15.1796C7.69169 15.1846 7.7003 15.1932 7.70953 15.1987C7.73102 15.2079 7.75302 15.2159 7.77538 15.2227C7.79773 15.2329 7.82077 15.2415 7.84428 15.2486C7.87828 15.2564 7.91286 15.2616 7.94766 15.264C7.96551 15.264 7.98213 15.2714 7.99998 15.2714C8.00492 15.2714 8.00982 15.2714 8.01538 15.2714C8.03604 15.2699 8.05655 15.2672 8.07693 15.2634C8.10808 15.2602 8.13895 15.2547 8.16923 15.2467C8.19018 15.2399 8.21074 15.2319 8.23078 15.2227C8.24986 15.2147 8.27016 15.2104 8.28862 15.2006C8.29724 15.1956 8.30402 15.1883 8.31264 15.1827C8.32125 15.1772 8.3311 15.1753 8.33971 15.1698C10.3675 13.8129 13.0134 13.8129 15.0413 15.1698C15.3233 15.3595 15.7057 15.2846 15.8953 15.0026C15.9643 14.9 16.0008 14.779 16 14.6554V2.46027C16 2.25456 15.8973 2.06241 15.7262 1.94825ZM7.38462 13.6036C5.43516 12.6896 3.18022 12.6896 1.23076 13.6036V2.79993C3.12732 1.67313 5.48806 1.67313 7.38462 2.79993V13.6036ZM14.7692 13.6036C12.8198 12.6896 10.5648 12.6896 8.61538 13.6036V2.79993C10.5119 1.67313 12.8727 1.67313 14.7692 2.79993V13.6036Z" fill="currentColor" />

                                        </svg>



                                    </div>

                                    <h6 class="mb-0 ml-3 mr-auto"><?= site_phrase("Lectures") ?></h6>

                                    <span><?php echo $this->crud_model->get_lessons('course', $course_id)->num_rows(); ?></span>

                                </li>

                                <li class="list-group-item d-flex align-items-center py-3">

                                    <div class="text-secondary d-flex icon-uxs">

                                        <!-- Icon -->

                                        <svg width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">

                                            <path d="M17.1947 7.06802L14.6315 7.9985C14.2476 7.31186 13.712 6.71921 13.0544 6.25992C12.8525 6.11877 12.6421 5.99365 12.4252 5.88303C13.0586 5.25955 13.452 4.39255 13.452 3.43521C13.452 1.54098 11.9124 -1.90735e-06 10.0197 -1.90735e-06C8.12714 -1.90735e-06 6.58738 1.54098 6.58738 3.43521C6.58738 4.39255 6.98075 5.25955 7.61414 5.88303C7.39731 5.99365 7.1869 6.11877 6.98502 6.25992C6.32752 6.71921 5.79178 7.31186 5.40787 7.9985L2.8447 7.06802C2.33612 6.88339 1.79688 7.26044 1.79688 7.80243V16.5178C1.79688 16.8465 2.00256 17.14 2.31155 17.2522L9.75312 19.9536C9.93073 20.018 10.1227 20.0128 10.2863 19.9536L17.7278 17.2522C18.0368 17.14 18.2425 16.8465 18.2425 16.5178V7.80243C18.2425 7.26135 17.704 6.88309 17.1947 7.06802ZM10.0197 1.5625C11.0507 1.5625 11.8895 2.40265 11.8895 3.43521C11.8895 4.46777 11.0507 5.30792 10.0197 5.30792C8.98866 5.30792 8.14988 4.46777 8.14988 3.43521C8.14988 2.40265 8.98866 1.5625 10.0197 1.5625ZM9.23844 18.1044L3.35938 15.9703V8.91724L9.23844 11.0513V18.1044ZM10.0197 9.67255L6.90644 8.54248C7.58164 7.51892 8.75184 6.87042 10.0197 6.87042C11.2875 6.87042 12.4577 7.51892 13.1329 8.54248L10.0197 9.67255ZM16.68 15.9703L10.8009 18.1044V11.0513L16.68 8.91724V15.9703Z" fill="currentColor" />

                                        </svg>



                                    </div>

                                    <h6 class="mb-0 ml-3 mr-auto"><?= site_phrase("Enrolled") ?></h6>

                                    <span><?php echo $this->crud_model->enrol_history($course_id)->num_rows(); ?></span>

                                </li>

                                <li class="list-group-item d-flex align-items-center py-3">

                                    <div class="text-secondary d-flex icon-uxs">

                                        <!-- Icon -->

                                        <svg width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg">

                                            <path d="M14.5936 3.78122H7.72003L6.56976 0.320872C6.50607 0.12928 6.32686 0 6.12495 0H1.40624C0.630839 0 0 0.630839 0 1.40624V10.8124C0 11.5878 0.630839 12.2187 1.40624 12.2187H6.57173L7.71263 15.6698C7.77566 15.8719 7.96259 16 8.1604 16C8.1615 16 8.16259 15.9999 8.16369 15.9999H14.5937C15.3691 15.9999 15.9999 15.369 15.9999 14.5936V5.18746C15.9999 4.41206 15.369 3.78122 14.5936 3.78122ZM1.40624 11.2812C1.14777 11.2812 0.937493 11.0709 0.937493 10.8124V1.40624C0.937493 1.14777 1.14777 0.937493 1.40624 0.937493H5.7868L9.22511 11.2812C7.46913 11.2812 3.14004 11.2812 1.40624 11.2812ZM9.14771 12.2187L8.22897 14.2449L7.55913 12.2187H9.14771ZM15.0624 14.5936C15.0624 14.8521 14.8521 15.0624 14.5936 15.0624H8.88768L10.3018 11.9435C10.3525 11.8316 10.3549 11.7077 10.3197 11.6018L8.03166 4.71871H14.5936C14.8521 4.71871 15.0624 4.92899 15.0624 5.18746V14.5936Z" fill="currentColor" />

                                            <path d="M6.12497 5.65623H4.71873C4.45986 5.65623 4.24998 5.8661 4.24998 6.12497C4.24998 6.38385 4.45986 6.59372 4.71873 6.59372H5.5756C5.3821 7.13931 4.86107 7.53121 4.24998 7.53121C3.47458 7.53121 2.84374 6.90037 2.84374 6.12497C2.84374 5.34958 3.47458 4.71874 4.24998 4.71874C4.6256 4.71874 4.97873 4.86502 5.24435 5.13061C5.42738 5.31367 5.72419 5.31367 5.90725 5.13061C6.09028 4.94755 6.09028 4.65077 5.90725 4.46771C5.46457 4.02503 4.87601 3.78125 4.24998 3.78125C2.95765 3.78125 1.90625 4.83264 1.90625 6.12497C1.90625 7.4173 2.95765 8.4687 4.24998 8.4687C5.54232 8.4687 6.59371 7.4173 6.59371 6.12497C6.59371 5.8661 6.38384 5.65623 6.12497 5.65623Z" fill="currentColor" />

                                            <path d="M13.625 7.53124H12.2187V7.0625C12.2187 6.80362 12.0089 6.59375 11.75 6.59375C11.4911 6.59375 11.2812 6.80362 11.2812 7.0625V7.53124H9.875C9.61612 7.53124 9.40625 7.74112 9.40625 7.99999C9.40625 8.25886 9.61612 8.46874 9.875 8.46874H12.5981C12.449 8.91201 12.1287 9.43735 11.7563 9.94291C11.6761 9.8346 11.5968 9.72376 11.5204 9.61138C11.3748 9.39729 11.0833 9.34176 10.8692 9.48735C10.6551 9.63291 10.5997 9.92447 10.7452 10.1386C10.8767 10.332 11.0146 10.5202 11.152 10.6985C10.9177 10.9702 10.6868 11.2163 10.4842 11.4154C10.2994 11.5967 10.2966 11.8935 10.4779 12.0783C10.6585 12.2623 10.9552 12.2666 11.1408 12.0846C11.157 12.0687 11.4126 11.8169 11.7541 11.4303C12.0873 11.8115 12.3367 12.0621 12.356 12.0814C12.539 12.2644 12.8357 12.2645 13.0188 12.0815C13.2019 11.8985 13.202 11.6017 13.019 11.4186C13.0141 11.4137 12.7271 11.1251 12.3609 10.698C13.0245 9.84029 13.429 9.09314 13.5691 8.46874H13.6249C13.8838 8.46874 14.0937 8.25886 14.0937 7.99999C14.0937 7.74112 13.8839 7.53124 13.625 7.53124Z" fill="currentColor" />

                                        </svg>



                                    </div>

                                    <h6 class="mb-0 ml-3 mr-auto"><?php echo site_phrase('language') ?></h6>

                                    <span><?php echo $course_details['language'] ?></span>

                                </li>

                                <li class="list-group-item d-flex align-items-center py-3">

                                    <div class="text-secondary d-flex icon-uxs">

                                        <!-- Icon -->

                                        <svg width="16" height="16" viewBox="0 0 16 16" xmlns="http://www.w3.org/2000/svg">

                                            <path d="M15.4286 7.42841H6.20457C5.89469 6.21086 4.65646 5.47506 3.43888 5.78494C2.63143 5.99045 2.00093 6.62095 1.79541 7.42841H0.571439C0.255837 7.42841 0 7.68424 0 7.99985C0 8.31545 0.255837 8.57125 0.571439 8.57125H1.79545C2.10532 9.7888 3.34356 10.5246 4.56114 10.2147C5.36859 10.0092 5.99909 9.37871 6.20461 8.57125H15.4286C15.7442 8.57125 16 8.31542 16 7.99981C16 7.68421 15.7442 7.42841 15.4286 7.42841ZM4.00001 9.14269C3.36884 9.14269 2.85716 8.63102 2.85716 7.99985C2.85716 7.36868 3.36884 6.857 4.00001 6.857C4.63118 6.857 5.14285 7.36868 5.14285 7.99985C5.14285 8.63102 4.63118 9.14269 4.00001 9.14269Z" fill="currentColor" />

                                            <path d="M15.4286 1.71405H13.6331C13.3233 0.496508 12.085 -0.239295 10.8675 0.0705817C10.06 0.276095 9.4295 0.906597 9.22399 1.71405H0.571439C0.255837 1.71405 0 1.96989 0 2.28549C0 2.60109 0.255837 2.85693 0.571439 2.85693H9.22399C9.53387 4.07447 10.7721 4.81028 11.9897 4.5004C12.7971 4.29489 13.4276 3.66438 13.6331 2.85693H15.4286C15.7442 2.85693 16 2.60109 16 2.28549C16 1.96989 15.7442 1.71405 15.4286 1.71405ZM11.4286 3.42834C10.7974 3.42834 10.2857 2.91666 10.2857 2.28549C10.2857 1.65432 10.7974 1.14265 11.4286 1.14265C12.0598 1.14265 12.5714 1.65432 12.5714 2.28549C12.5714 2.91666 12.0598 3.42834 11.4286 3.42834Z" fill="currentColor" />

                                            <path d="M15.4286 13.1428H12.4903C12.1804 11.9252 10.9422 11.1894 9.72458 11.4993C8.91713 11.7048 8.28662 12.3353 8.08111 13.1428H0.571439C0.255837 13.1428 0 13.3986 0 13.7142C0 14.0297 0.255837 14.2856 0.571439 14.2856H8.08114C8.39102 15.5032 9.62926 16.239 10.8468 15.9291C11.6543 15.7236 12.2848 15.0931 12.4903 14.2856H15.4286C15.7442 14.2856 16 14.0298 16 13.7142C16 13.3986 15.7442 13.1428 15.4286 13.1428ZM10.2857 14.8571C9.65454 14.8571 9.14286 14.3454 9.14286 13.7142C9.14286 13.083 9.65454 12.5714 10.2857 12.5714C10.9169 12.5714 11.4286 13.083 11.4286 13.7142C11.4286 14.3454 10.9169 14.8571 10.2857 14.8571Z" fill="currentColor" />

                                        </svg>



                                    </div>

                                    <h6 class="mb-0 ml-3 mr-auto"><?php echo site_phrase('skill_level') ?></h6>

                                    <span><?php echo $course_details['level'] ?></span>



                            </ul>

                        </div>

                    </div>



                    <div class="d-block">

                        <div class="border rounded px-6 px-lg-5 px-xl-6 pt-5 shadow">

                            <h3 class="mb-5"><?php echo site_phrase('latest_courses') ?> </h3>



                            <ul class="list-unstyled mb-0">

                                <?php

                                $latest_courses = $this->crud_model->get_latest_10_course();

                                foreach ($latest_courses as $latest_course) : ?>

                                    <?php

                                    $lessons = $this->crud_model->get_lessons('course', $latest_course['id']);

                                    $course_duration = $this->crud_model->get_total_duration_of_lesson_by_course_id($latest_course['id']);

                                    ?>

                                    <li class="media mb-6">

                                        <a href="<?php echo site_url('home/course/' . rawurlencode(slugify($latest_course['title'])) . '/' . $latest_course['id']); ?>" class="mw-100p d-block mr-5">

                                            <?php
											$latest_course_img_url = $this->crud_model->get_course_thumbnail_url($latest_course['id']);
											if($latest_course['thumbnail'] != '')
											$latest_course_img_url = $latest_course['thumbnail'];
											?>
                                            <img src="<?php echo $latest_course_img_url; ?>" alt="..." class="avatar-img rounded-lg h-90p">

                                        </a>

                                        <div class="media-body">

                                            <a href="<?php echo site_url('home/course/' . rawurlencode(slugify($latest_course['title'])) . '/' . $latest_course['id']); ?>" class="d-block">

                                                <h6 class="line-clamp-2 mb-3"><?php echo $latest_course['short_description']; ?></h6>

                                            </a>

                                            <?php if ($latest_course['is_free_course'] == 1) : ?>

                                                <ins><?php echo site_phrase('free'); ?></ins>

                                            <?php else : ?>







                                                <?php if ($latest_course['discount_flag'] == 1) : ?>

                                                    <del class="font-size-sm mr-2">$<?php echo $latest_course['discounted_price'] ?></del>

                                                    <ins class="h6 mb-0 ">$<?php echo $latest_course['price'] ?></ins>

                                                <?php else : ?>

                                                    <ins class="h6 mb-0 ">$<?php echo $latest_course['price'] ?></ins> <?php endif; ?>

                                            <?php endif; ?>

                                        </div>

                                    </li>



                                <?php endforeach ?>



                            </ul>

                        </div>

                    </div>

                </div>

            </div>

        </div>



    </div>





    <div class="text-center mb-5 mb-md-8">

        <h1><?php echo site_phrase('related_courses') ?></h1>

    </div>



    <div class="mx-n4 mb-12" data-flickity='{"pageDots": true, "prevNextButtons": false, "cellAlign": "left", "wrapAround": true, "imagesLoaded": true}'>

        <?php

        $this->db->limit(5);

        $other_realted_courses = $this->crud_model->get_courses($course_details['category_id'], $course_details['sub_category_id'])->result_array();

        foreach ($other_realted_courses as $other_realted_course) :

            if ($other_realted_course['id'] != $course_details['id'] && $other_realted_course['status'] == 'active') : ?>

                <div class="col-md-6 col-lg-4 col-xl-3 pb-4 pb-md-5">



                    <!-- Card -->

                    <div class="card border shadow-dark-hover p-2 sk-fade">

                        <!-- Image -->

                        <div class="card-zoom position-relative">


							<?php
							$other_realted_course_img_url = $this->crud_model->get_course_thumbnail_url($other_realted_course['id']);
							if($other_realted_course['thumbnail'] != '')
							$other_realted_course_img_url = $other_realted_course['thumbnail'];
							?>
                            <a class="card-img sk-thumbnail d-block" href="<?php echo site_url('home/course/' . slugify($other_realted_course['title']) . '/' . $other_realted_course['id']); ?>"><img src="<?php echo $other_realted_course_img_url; ?>" alt="" class="rounded shadow-light-lg"></a>







                            <span class="sk-fade-right badge-float bottom-0 right-0 mb-2 mr-2">

                                <?php if ($other_realted_course['is_free_course'] == 1) : ?>

                                    <ins class="h5 mb-0 "><?php echo site_phrase('free'); ?></ins>

                                <?php else : ?>

                                    <ins class="h5 mb-0 "><?php echo currency($other_realted_course['price']); ?></ins>

                                <?php endif; ?>

                            </span>

                        </div>



                        <!-- Footer -->

                        <div class="card-footer px-2 pb-2 mb-1 pt-4 position-relative">

                            <!-- Preheading -->

                            <?php $category = $this->crud_model->get_category_details_by_id($other_realted_course['category_id'])->row_array(); ?>

                            <a href=""><span class="mb-1 d-inline-block text-gray-800"><?php echo $category['name']; ?></span></a>



                            <!-- Heading -->

                            <div class="position-relative">

                                <a href="" class="d-block stretched-link">

                                    <h5 class="line-clamp-2 h-md-48 h-lg-58 mr-md-8 mr-lg-10 mr-xl-4 mb-2"><?php echo $other_realted_course['title'] ?></h5>

                                </a>



                                <div class="row mx-n2 align-items-end">

                                    <div class="col px-2">

                                        <ul class="nav mx-n3">

                                            <li class="nav-item px-3">

                                                <div class="d-flex align-items-center">

                                                    <div class="mr-2 d-flex icon-uxs text-secondary">

                                                        <!-- Icon -->

                                                        <svg width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">

                                                            <path d="M17.1947 7.06802L14.6315 7.9985C14.2476 7.31186 13.712 6.71921 13.0544 6.25992C12.8525 6.11877 12.6421 5.99365 12.4252 5.88303C13.0586 5.25955 13.452 4.39255 13.452 3.43521C13.452 1.54098 11.9124 -1.90735e-06 10.0197 -1.90735e-06C8.12714 -1.90735e-06 6.58738 1.54098 6.58738 3.43521C6.58738 4.39255 6.98075 5.25955 7.61414 5.88303C7.39731 5.99365 7.1869 6.11877 6.98502 6.25992C6.32752 6.71921 5.79178 7.31186 5.40787 7.9985L2.8447 7.06802C2.33612 6.88339 1.79688 7.26044 1.79688 7.80243V16.5178C1.79688 16.8465 2.00256 17.14 2.31155 17.2522L9.75312 19.9536C9.93073 20.018 10.1227 20.0128 10.2863 19.9536L17.7278 17.2522C18.0368 17.14 18.2425 16.8465 18.2425 16.5178V7.80243C18.2425 7.26135 17.704 6.88309 17.1947 7.06802ZM10.0197 1.5625C11.0507 1.5625 11.8895 2.40265 11.8895 3.43521C11.8895 4.46777 11.0507 5.30792 10.0197 5.30792C8.98866 5.30792 8.14988 4.46777 8.14988 3.43521C8.14988 2.40265 8.98866 1.5625 10.0197 1.5625ZM9.23844 18.1044L3.35938 15.9703V8.91724L9.23844 11.0513V18.1044ZM10.0197 9.67255L6.90644 8.54248C7.58164 7.51892 8.75184 6.87042 10.0197 6.87042C11.2875 6.87042 12.4577 7.51892 13.1329 8.54248L10.0197 9.67255ZM16.68 15.9703L10.8009 18.1044V11.0513L16.68 8.91724V15.9703Z" fill="currentColor" />

                                                        </svg>



                                                    </div>

                                                    <div class="font-size-sm"><?php echo $this->crud_model->get_lessons('course', $course_details['id'])->num_rows() . ' ' . site_phrase('lessons'); ?></div>

                                                </div>

                                            </li>

                                        </ul>

                                    </div>



                                    <div class="col-auto px-2 text-right">

                                        <span class="item-rating">

                                            <?php

                                            $total_rating = $this->crud_model->get_ratings('course', $other_realted_course['id'], true)->row()->rating;

                                            $number_of_ratings = $this->crud_model->get_ratings('course', $other_realted_course['id'])->num_rows();

                                            if ($number_of_ratings > 0) {

                                                $average_ceil_rating = ceil($total_rating / $number_of_ratings);

                                            } else {

                                                $average_ceil_rating = 0;

                                            }

                                            ?>



                                            <?php

                                            for ($i = 1; $i < 6; $i++) : ?>

                                                <?php if ($i <= $average_ceil_rating) : ?>

                                                    <div class="star-rating-filled mb-2 mb-lg-0">

                                                        <div class="rating-filled w-100"></div>

                                                    </div>

                                                <?php else : ?>

                                                    <div class="star-rating mb-2 mb-lg-0">

                                                        <div class="rating w-100"></div>

                                                    </div>

                                                <?php endif; ?>



                                            <?php endfor; ?>

                                        </span>

                                    </div>

                                </div>

                            </div>

                        </div>

                    </div>

                </div>

            <?php endif; ?>

        <?php endforeach; ?>

    </div>



</div>

<style>

  #sticky-sidebar-demo{

    will-change: min-height;

  }

  #sticky-sidebar-demo .sidebar__inner{

    padding: 10px;

    position: relative;

    transform: translate(0, 0);

    transform: translate3d(0, 0, 0);

    will-change: position, transform;

  }

</style>

<script src="<?= base_url('assets/frontend/athena/js/sticky-sidebar.js'); ?>"></script>

<script type="text/javascript">

    var a = new StickySidebar('#sticky-sidebar-demo', {

        topSpacing: 25,

        containerSelector: '.container_sidebar',

        innerWrapperSelector: '.sidebar__inner'

    });

</script>

<script type="text/javascript">

    function Hide() {

        $('#hide_show').hide();

    }



    function Show() {

        $('#hide_show').show();

    }



    function lesson_preview(url, title) {

        // SHOWING AJAX PRELOADER IMAGE

        jQuery('.lesson_preview_header').html(title);

        jQuery('#lesson_preview .modal-body').html('<div class="w-100 text-center pt-5"><img class="mt-5 mb-5" width="80px" src="<?= base_url(); ?>assets/global/gif/page-loader-2.gif"></div>');



        // LOADING THE AJAX MODAL

        jQuery('#lesson_preview').modal('show', {

            backdrop: 'true'

        });



        // SHOW AJAX RESPONSE ON REQUEST SUCCESS

        $.ajax({

            url: url,

            success: function(response) {

                jQuery('#lesson_preview .modal-body').html(response);

            }

        });

    }



    function handleCartItemsByDetailPage(elem) {

        var url1 = '<?php echo site_url('home/handleCartItems'); ?>';

        var url2 = '<?php echo site_url('home/refreshWishList'); ?>';

        var url3 = '<?php echo site_url('home/handleCartItems/true'); ?>';

        $.ajax({

            url: url1,

            type: 'POST',

            data: {

                course_id: elem.id

            },

            success: function(response) {

                console.log(response);

                $('#cart_items').html(response);

                if ($(elem).hasClass('addedToCart')) {

                    $(elem).removeClass('addedToCart');

                    $(elem).addClass('btn-orange');

                    $(elem).removeClass('btn-primary');

                    $(elem).text("<?php echo site_phrase('add_to_cart'); ?>");

                } else {

                    $(elem).addClass('addedToCart');

                    $(elem).addClass('btn-primary');

                    $(elem).removeClass('btn-orange');

                    $(elem).text("<?php echo site_phrase('added_to_cart'); ?>");

                }

                $.ajax({

                    url: url2,

                    type: 'POST',

                    success: function(response) {

                        $('#wishlist_items').html(response);

                    }

                });

                $.ajax({

                    url: url3,

                    type: 'POST',

                    success: function(response) {

                        console.log(response);

                        $('#cart_number').html(response);

                    }

                });





            }

        });

    }



    function handleEnrolledButton() {

        $.ajax({

            url: '<?php echo site_url('home/isLoggedIn?url_history=' . base64_encode(current_url())); ?>',

            success: function(response) {

                if (!response) {

                    window.location.replace("<?php echo site_url('login'); ?>");

                }

            }

        });

    }



    function handleAddToWishlist(elem) {

        $.ajax({

            url: '<?php echo site_url('home/isLoggedIn?url_history=' . base64_encode(current_url())); ?>',

            success: function(response) {

                if (!response) {

                    window.location.replace("<?php echo site_url('login'); ?>");

                } else {

                    $.ajax({

                        url: '<?php echo site_url('home/handleWishList'); ?>',

                        type: 'POST',

                        data: {

                            course_id: elem.id

                        },

                        success: function(response) {

                            if ($(elem).hasClass('fas')) {

                                $(elem).removeClass('fas');

                                $(elem).addClass('far');

                            } else {

                                $(elem).addClass('fas');

                            }

                            $('#wishlist_items').html(response);

                            $.ajax({

                                url: '<?php echo site_url('home/handleWishList/true'); ?>',

                                type: 'POST',



                                success: function(response) {

                                    console.log(response);

                                    $('#wishlist_num').html(response);

                                }

                            });

                        }

                    });

                }

            }

        });

    }



    function pausePreview() {

        player.pause();

    }



    $('.course-compare').click(function(e) {

        e.preventDefault()

        var redirect_to = $(this).attr('redirect_to');

        window.location.replace(redirect_to);

    });



    function go_course_playing_page(course_id, lesson_id) {

        var course_playing_url = "<?php echo site_url('home/lesson/' . slugify($course_details['title'])); ?>/" + course_id + '/' + lesson_id;



        $.ajax({

            url: '<?php echo site_url('home/go_course_playing_page/'); ?>' + course_id,

            type: 'POST',

            success: function(response) {

                if (response == 1) {

                    window.location.replace(course_playing_url);

                }

            }

        });

    }

</script>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js" type="text/javascript"></script>
<script>
$(window).resize(function() {
    if (document.documentElement.clientWidth <= 767) {
        var sidebar_html = $('#sticky-sidebar-demo').html();
		$('#mobile_sidebar').html(sidebar_html);
		$('#sticky-sidebar-demo').hide();
		$('#mobile_sidebar').show();
    }
	else
	{
		$('#sticky-sidebar-demo').show();
		$('#mobile_sidebar').hide();
	}
}).resize()
</script>