<?php
$instructor_details = $this->user_model->get_all_user($instructor_id)->row_array();
$social_links  = json_decode($instructor_details['social_links'], true);
$course_ids = $this->crud_model->get_instructor_wise_courses($instructor_id, 'simple_array');

$this->db->select('user_id');
$this->db->distinct();
$this->db->where_in('course_id', $course_ids);
$total_students = $this->db->get('enrol')->num_rows();
?>
<div class="container pt-8 pt-md-11">
    <div class="row">
        <div class="col-xl-8 mx-xl-auto">
            <div class="d-flex flex-wrap align-items-center justify-content-center mb-5 mb-md-3">
                <!-- Social -->
                <ul class="list-unstyled list-inline list-social mb-4 mb-md-0 mx-lg-4 order-1 order-md-0 font-size-sm">
                    <li class="list-inline-item list-social-item">
                        <?php if ($social_links['facebook']) : ?>
                            <a href="<?php echo $social_links['facebook']; ?> " target="_blank" class="text-secondary w-36 h-36 shadow-dark-hover d-flex align-items-center justify-content-center rounded-circle border-hover">
                                <i class="fab fa-facebook-f"></i>
                            </a>
                        <?php endif; ?>
                    </li>
                    <li class="list-inline-item list-social-item">
                        <?php if ($social_links['twitter']) : ?>
                            <a href="<?php echo $social_links['twitter']; ?>" target="_blank" class="text-secondary w-36 h-36 shadow-dark-hover d-flex align-items-center justify-content-center rounded-circle border-hover">
                                <i class="fab fa-twitter"></i>
                            </a>
                        <?php endif; ?>
                    </li>

                    <li class="list-inline-item list-social-item">
                        <?php if ($social_links['linkedin']) : ?>
                            <a href="<?php echo $social_links['linkedin']; ?>" target="_blank" class="text-secondary w-36 h-36 shadow-dark-hover d-flex align-items-center justify-content-center rounded-circle border-hover">
                                <i class="fab fa-linkedin-in"></i>
                            </a>
                        <?php endif; ?>
                    </li>
                </ul>
                <div>
                    <div class="border rounded-circle d-inline-block mb-4 mb-md-0 mx-lg-4 order-0">
                        <div class="p-4">
                            <img src="<?php echo $this->user_model->get_user_image_url($instructor_details['id']); ?>" alt="..." class="rounded-circle " width="170px" height="170px">

                        </div>

                    </div>
                    <h1 class="text-center mb-1"><?php echo $instructor_details['first_name'] . ' ' . $instructor_details['last_name']; ?></h1>
                    <div class="text-center mb-7"><?php echo $instructor_details['title']; ?></div>
                </div>
            </div>


            <div class="row mb-7 justify-content-center align-items-center">
                <div class="col-12 col-md-auto mb-3 mb-md-0">
                    <div class="d-flex align-items-center">
                        <div class="mr-3 d-flex">
                            <svg width="30" height="30" viewBox="0 0 30 30" fill="none" xmlns="http://www.w3.org/2000/svg">
                                <g clip-path="url(#clip0)">
                                    <path d="M26.791 23.5866C25.7884 22.6739 25.0512 21.7007 24.5092 20.7683C24.3178 20.439 24.4139 20.0207 24.7217 19.7962C27.3923 17.8486 29.126 14.6936 29.1199 11.1338C29.1097 5.21907 24.3432 0.461123 18.4285 0.461182C14.396 0.461182 10.8855 2.69408 9.06445 5.99051L20.6419 22.0673C22.6827 23.4597 24.9597 24.0686 26.4226 24.3314C26.8488 24.4081 27.1113 23.8781 26.791 23.5866Z" fill="#DFEBFA" />
                                    <path d="M9.51953 6.62305L20.6414 22.0673C21.1802 22.4349 21.7354 22.7474 22.2878 23.0139C23.7299 21.1917 24.5912 18.8887 24.5912 16.3845C24.5912 10.4798 19.8046 5.69317 13.8999 5.69312C12.3374 5.69312 10.8552 6.02539 9.51953 6.62305Z" fill="#B1DBFC" />
                                    <path d="M11.5839 5.69312C5.66928 5.69312 0.902727 10.451 0.892594 16.3657C0.886503 19.9255 2.6202 23.0806 5.29074 25.0282C5.59853 25.2526 5.69464 25.6709 5.50323 26.0003C4.96134 26.9326 4.22416 27.9058 3.22149 28.8185C2.90122 29.11 3.16374 29.64 3.59002 29.5634C5.09494 29.293 7.46179 28.6565 9.54644 27.1772C9.7604 27.0253 10.0249 26.9654 10.2854 26.9971C10.7111 27.0489 11.1444 27.0758 11.5839 27.0758C17.4886 27.0758 22.2753 22.2891 22.2753 16.3845C22.2752 10.4798 17.4886 5.69317 11.5839 5.69312Z" fill="#FEE55A" />
                                    <path d="M5.53662 28.8185C6.53929 27.9058 7.27647 26.9326 7.81842 26.0002C8.00983 25.6709 7.91372 25.2526 7.60593 25.0281C4.93539 23.0805 3.20163 19.9254 3.20778 16.3657C3.21727 10.8431 7.37352 6.32961 12.7391 5.75538C12.3597 5.71461 11.9744 5.69312 11.5841 5.69312C5.66928 5.69306 0.902727 10.4509 0.892594 16.3657C0.886503 19.9254 2.6202 23.0805 5.29074 25.0281C5.59853 25.2526 5.69464 25.6709 5.50323 26.0002C4.96134 26.9326 4.22416 27.9058 3.22149 28.8185C2.90122 29.11 3.16374 29.6399 3.59002 29.5634C4.10562 29.4707 4.72248 29.3351 5.39441 29.1373C5.393 29.0249 5.43611 28.91 5.53662 28.8185Z" fill="#FFD301" />
                                    <path d="M12.0742 27.0642C12.3009 27.054 12.5258 27.0367 12.7486 27.0126C12.6999 27.0073 12.651 27.0029 12.6026 26.9971C12.4222 26.9751 12.2403 26.9982 12.0742 27.0642Z" fill="#FFD301" />
                                    <path d="M17.4635 18.2205H5.70498C5.25293 18.2205 4.94292 18.6812 5.11798 19.0981C6.17864 21.6231 8.67376 23.3968 11.5843 23.3968C14.4948 23.3968 16.9899 21.6231 18.0505 19.0981C18.2256 18.6813 17.9157 18.2205 17.4635 18.2205Z" fill="#DFEBFA" />
                                    <path d="M7.63261 19.0981C7.45754 18.6812 7.7675 18.2205 8.2196 18.2205H5.70498C5.25293 18.2205 4.94292 18.6812 5.11798 19.0981C6.17864 21.6231 8.67376 23.3968 11.5843 23.3968C12.0136 23.3968 12.4335 23.3573 12.8416 23.2834C10.4838 22.8562 8.53683 21.2507 7.63261 19.0981Z" fill="#B1DBFC" />
                                    <path d="M4.70725 19.2575C7.25907 25.3322 15.8946 25.3406 18.4499 19.2575C18.7467 18.551 18.2225 17.7705 17.4578 17.7705H5.69933C4.93293 17.7704 4.41106 18.5523 4.70725 19.2575ZM5.69933 18.649H17.4579C17.5947 18.649 17.694 18.7884 17.6399 18.9172C15.3889 24.276 7.77145 24.2835 5.51729 18.9172C5.46311 18.7882 5.56274 18.649 5.69933 18.649Z" fill="black" />
                                    <path d="M6.15005 13.8513C6.15005 12.9804 6.85864 12.2719 7.72953 12.2719C8.60042 12.2719 9.30895 12.9804 9.30895 13.8513C9.30895 14.0939 9.50557 14.2906 9.74823 14.2906C9.99089 14.2906 10.1875 14.0939 10.1875 13.8513C10.1875 12.496 9.08486 11.3933 7.72953 11.3933C6.37414 11.3933 5.27148 12.496 5.27148 13.8513C5.27148 14.0939 5.46811 14.2906 5.71077 14.2906C5.95343 14.2906 6.15005 14.094 6.15005 13.8513Z" fill="black" />
                                    <path d="M13.8454 13.8513C13.8454 12.9804 14.554 12.2719 15.4248 12.2719C16.2957 12.2719 17.0043 12.9804 17.0043 13.8513C17.0043 14.0939 17.2009 14.2906 17.4435 14.2906C17.6862 14.2906 17.8828 14.0939 17.8828 13.8513C17.8828 12.496 16.7802 11.3933 15.4248 11.3933C14.0695 11.3933 12.9668 12.496 12.9668 13.8513C12.9668 14.0939 13.1634 14.2906 13.4061 14.2906C13.6487 14.2906 13.8454 14.094 13.8454 13.8513Z" fill="black" />
                                    <path d="M13.033 2.41998C13.2393 2.29224 13.3029 2.02152 13.1752 1.81523C13.0475 1.60901 12.7769 1.5454 12.5705 1.67308C10.9996 2.646 9.69006 4.00022 8.77073 5.59651C4.06977 6.80571 0.456302 11.0747 0.447282 16.3541C0.441074 19.9371 2.15158 23.276 5.02583 25.3723C5.15474 25.4663 5.19416 25.6367 5.11737 25.7687C4.53289 26.7744 3.79344 27.6876 2.91973 28.4828C2.27504 29.0697 2.80242 30.1394 3.66159 29.985C5.29021 29.6923 7.67622 29.028 9.79455 27.5247C9.91468 27.4395 10.0679 27.4032 10.2263 27.4224C12.242 27.6676 14.2982 27.3684 16.1886 26.507C16.4094 26.4063 16.5068 26.1458 16.4062 25.9251C16.3056 25.7043 16.0452 25.6069 15.8242 25.7075C14.0715 26.5062 12.1757 26.7745 10.3323 26.5502C9.95638 26.5047 9.58486 26.5962 9.28609 26.8082C7.31196 28.2091 5.07397 28.8359 3.52963 29.1157C4.46179 28.2638 5.25138 27.2865 5.87698 26.2102C6.18061 25.688 6.03723 25.0225 5.54353 24.6624C2.89689 22.7322 1.32028 19.6269 1.32585 16.3556C1.33551 10.7125 5.93461 6.12154 11.578 6.1216C17.2309 6.1216 21.8299 10.7206 21.8299 16.3736C21.8299 19.6792 20.2213 22.8008 17.5267 24.724C17.3293 24.8649 17.2835 25.1393 17.4244 25.3367C17.5653 25.5342 17.8396 25.58 18.0372 25.4391C19.1129 24.6713 20.0285 23.727 20.7571 22.662C22.7355 23.9113 24.863 24.4881 26.3376 24.753C27.1961 24.9072 27.7248 23.8383 27.0795 23.2509C26.2056 22.4555 25.4662 21.5423 24.8818 20.5367C24.805 20.4048 24.8444 20.2343 24.9734 20.1403C27.8405 18.0493 29.5582 14.7156 29.552 11.1221C29.5386 3.29678 21.7272 -2.00476 14.4927 0.726051C14.2657 0.811681 14.1512 1.06518 14.2369 1.29214C14.3226 1.5191 14.5762 1.63367 14.8029 1.54798C21.5092 -0.983281 28.6612 4.00637 28.6733 11.1236C28.679 14.3949 27.1023 17.5002 24.4557 19.4304C23.9619 19.7905 23.8186 20.4559 24.1222 20.9782C24.747 22.0531 25.5355 23.0295 26.4695 23.884C25.0738 23.6311 23.0733 23.0862 21.224 21.9178C22.1817 20.2509 22.7084 18.3426 22.7084 16.3736C22.7084 9.65301 16.7459 4.37982 9.95562 5.35912C10.7627 4.18103 11.8125 3.17584 13.033 2.41998Z" fill="black" />
                                </g>
                                <defs>
                                    <clipPath id="clip0">
                                        <rect width="30" height="30" fill="white" />
                                    </clipPath>
                                </defs>
                            </svg>

                        </div>
                        <?php echo $this->crud_model->get_instructor_wise_course_ratings($instructor_id, 'course')->num_rows(); ?> <?php echo site_phrase('reviews'); ?>
                    </div>
                </div>

                <div class="col-12 col-md-auto mb-3 mb-md-0">
                    <div class="d-flex align-items-center">
                        <div class="mr-3 d-flex">
                            <svg width="30" height="30" viewBox="0 0 30 30" fill="none" xmlns="http://www.w3.org/2000/svg">
                                <path d="M29.4738 11.5819C29.2385 10.8577 28.5637 10.3674 27.8022 10.3674L19.2995 10.3673L16.6718 2.28068C16.4365 1.55651 15.7617 1.06616 15.0002 1.06616C14.812 1.06616 14.6292 1.09634 14.457 1.15235L15.0002 14.9993L23.2748 28.8936C23.5117 28.8437 23.7407 28.7455 23.9454 28.5968C24.5614 28.1492 24.8192 27.3559 24.5839 26.6316L21.9565 18.545L28.8353 13.5471C29.4514 13.0995 29.7092 12.3061 29.4738 11.5819Z" fill="#FFB820" />
                                <path d="M27.8013 12.1251L18.0215 12.125L14.4561 1.15234C13.9312 1.32302 13.5048 1.73544 13.3276 2.28074L10.7 10.3673L2.19724 10.3674C1.43574 10.3674 0.760899 10.8577 0.5256 11.5819C0.290301 12.3061 0.54804 13.0995 1.16412 13.5471L8.04293 18.545L5.41556 26.6316C5.1802 27.3558 5.438 28.1492 6.05408 28.5967C6.6701 29.0443 7.50431 29.0443 8.12038 28.5967L14.9993 23.5991L21.8782 28.5968C22.2896 28.8957 22.798 28.9938 23.274 28.8936L19.8894 17.8736L27.8013 12.1251Z" fill="#FFD06A" />
                                <path d="M22.9121 29.3731C22.4594 29.3731 22.0069 29.2328 21.6206 28.9521L15 24.1421L8.37932 28.9521C7.60692 29.5134 6.56887 29.5133 5.79642 28.9521C5.02396 28.3909 4.70318 27.4038 4.99824 26.4957L7.52694 18.7127L5.05695 16.9181C4.86061 16.7754 4.81708 16.5006 4.95975 16.3043C5.10236 16.1078 5.37709 16.0642 5.57354 16.2071L8.30192 18.1894C8.4559 18.3013 8.52035 18.4997 8.46152 18.6807L5.83415 26.7673C5.65715 27.3121 5.84962 27.9044 6.31307 28.2411C6.77652 28.5778 7.39934 28.578 7.86279 28.2411L14.7417 23.2435C14.8957 23.1316 15.1043 23.1316 15.2582 23.2435L22.1372 28.2412C22.6006 28.5779 23.2234 28.5779 23.6869 28.2412C24.1503 27.9044 24.3428 27.3121 24.1658 26.7673L21.5384 18.6807C21.4796 18.4997 21.5441 18.3013 21.698 18.1894L28.5769 13.1915C29.0404 12.8548 29.2328 12.2625 29.0558 11.7177C28.8788 11.1728 28.3749 10.8067 27.802 10.8067L19.2993 10.8066C19.109 10.8066 18.9402 10.684 18.8814 10.5029L16.2538 2.41641C16.0768 1.87158 15.5729 1.50557 15 1.50557C14.4272 1.50557 13.9233 1.87164 13.7463 2.41653L11.1187 10.503C11.0598 10.6841 10.8911 10.8067 10.7007 10.8067L2.19797 10.8068C1.62513 10.8068 1.12125 11.1729 0.944251 11.7177C0.767249 12.2626 0.959661 12.8548 1.42317 13.1916L4.15155 15.174C4.34789 15.3166 4.39142 15.5914 4.24875 15.7877C4.10614 15.984 3.83129 16.0277 3.63496 15.8849L0.906519 13.9026C0.134121 13.3412 -0.186661 12.3541 0.1084 11.4461C0.403462 10.538 1.24318 9.92788 2.19797 9.92788L10.3815 9.92776L12.9104 2.1449C13.2055 1.23681 14.0452 0.626709 15 0.626709C15.9549 0.626709 16.7946 1.23681 17.0896 2.14485L19.6186 9.92776L27.802 9.92788C28.7569 9.92788 29.5966 10.538 29.8916 11.4461C30.1867 12.3541 29.866 13.3413 29.0935 13.9025L22.473 18.7128L25.0017 26.4958C25.2968 27.4038 24.976 28.391 24.2035 28.9523C23.8173 29.2328 23.3646 29.3731 22.9121 29.3731Z" fill="black" />
                            </svg>

                        </div>
                        <?php echo $this->crud_model->get_instructor_wise_course_ratings($instructor_id, 'course')->num_rows(); ?> <?php echo site_phrase('ratings') ?>
                    </div>
                </div>



                <div class="col-12 col-md-auto mb-3 mb-md-0">
                    <div class="d-flex align-items-center">
                        <div class="mr-3 d-flex">
                            <svg width="30" height="30" viewBox="0 0 30 30" fill="none" xmlns="http://www.w3.org/2000/svg">
                                <path d="M23.8101 29.5605H6.18945C5.21861 29.5605 4.43164 28.7736 4.43164 27.8027V2.19727C4.43164 1.22643 5.21861 0.439453 6.18945 0.439453H23.8101C24.781 0.439453 25.5679 1.22643 25.5679 2.19727V27.8027C25.5679 28.7736 24.781 29.5605 23.8101 29.5605Z" fill="#F9F7F8" />
                                <path d="M23.8105 0.439453H22.0527C23.0235 0.439453 23.8105 1.22643 23.8105 2.19727V27.8027C23.8105 28.7736 23.0235 29.5605 22.0527 29.5605H23.8105C24.7813 29.5605 25.5684 28.7736 25.5684 27.8027V2.19727C25.5684 1.22643 24.7814 0.439453 23.8105 0.439453Z" fill="#E5E1E5" />
                                <path d="M20.8871 8.08541C20.8871 11.3374 18.2509 13.973 14.9989 13.973C13.0137 13.973 11.2577 12.9904 10.1911 11.4848C9.51076 10.5247 9.11133 9.35203 9.11133 8.08541C9.11133 7.67332 9.15387 7.27125 9.23414 6.8833C9.78902 4.20773 12.1591 2.19727 14.9989 2.19727C18.2509 2.19727 20.8871 4.83346 20.8871 8.08541Z" fill="#D7D0D6" />
                                <path d="M11.6348 12.9172C12.5886 13.5826 13.7483 13.9731 14.9994 13.9731C16.2507 13.9731 17.4106 13.5825 18.3645 12.9171C18.3076 11.1071 16.8235 9.65698 14.9996 9.65698C13.1758 9.65692 11.6915 11.1071 11.6348 12.9172Z" fill="#FD8087" />
                                <path d="M15.4398 10.9476C16.0271 10.9476 16.5485 10.6658 16.8764 10.2301C16.3399 9.86856 15.6939 9.65698 14.998 9.65698C14.5746 9.65698 14.1701 9.73597 13.7969 9.87864C14.0764 10.5082 14.7065 10.9476 15.4398 10.9476Z" fill="#FE646F" />
                                <path d="M14.9982 10.124C14.0057 10.124 13.2012 9.31942 13.2012 8.32696V6.13433C13.2012 5.55249 13.6729 5.08081 14.2547 5.08081H15.7419C16.3237 5.08081 16.7954 5.55249 16.7954 6.13433V8.32696C16.7953 9.31948 15.9908 10.124 14.9982 10.124Z" fill="#FFCEBF" />
                                <path d="M15.7418 5.08081H14.2547C13.6729 5.08081 13.2012 5.55249 13.2012 6.13433V7.47478L14.7241 6.97304C15.2856 6.78806 15.9012 6.87296 16.3917 7.20308L16.7954 7.47472V6.13427C16.7953 5.55249 16.3236 5.08081 15.7418 5.08081Z" fill="#C59191" />
                                <path d="M15.1586 16.9027L15.5756 17.7475C15.6012 17.7993 15.6507 17.8353 15.7079 17.8436L16.6402 17.9791C16.7844 18.0001 16.842 18.1772 16.7377 18.2789L16.063 18.9365C16.0216 18.9769 16.0027 19.0351 16.0124 19.0921L16.1717 20.0206C16.1963 20.1642 16.0456 20.2738 15.9166 20.206L15.0827 19.7676C15.0315 19.7407 14.9704 19.7407 14.9191 19.7676L14.0852 20.206C13.9563 20.2738 13.8056 20.1642 13.8302 20.0206L13.9894 19.0921C13.9992 19.0351 13.9803 18.9769 13.9389 18.9365L13.2642 18.2789C13.1599 18.1772 13.2175 18 13.3617 17.9791L14.2939 17.8436C14.3512 17.8353 14.4007 17.7993 14.4263 17.7475L14.8433 16.9027C14.9078 16.772 15.0942 16.772 15.1586 16.9027Z" fill="#FEE45A" />
                                <path d="M20.4965 16.9027L20.9135 17.7475C20.9391 17.7993 20.9886 17.8353 21.0458 17.8436L21.9781 17.9791C22.1223 18.0001 22.1799 18.1772 22.0756 18.2789L21.4009 18.9365C21.3595 18.9769 21.3406 19.0351 21.3503 19.0921L21.5096 20.0206C21.5342 20.1642 21.3835 20.2738 21.2545 20.206L20.4206 19.7676C20.3694 19.7407 20.3083 19.7407 20.257 19.7676L19.4231 20.206C19.2942 20.2738 19.1435 20.1642 19.1681 20.0206L19.3273 19.0921C19.3371 19.0351 19.3182 18.9769 19.2768 18.9365L18.6021 18.2789C18.4978 18.1772 18.5554 18 18.6996 17.9791L19.6318 17.8436C19.6891 17.8353 19.7386 17.7993 19.7642 17.7475L20.1812 16.9027C20.2458 16.772 20.4321 16.772 20.4965 16.9027Z" fill="#FEE45A" />
                                <path d="M9.82073 16.9027L10.2377 17.7475C10.2633 17.7993 10.3128 17.8353 10.37 17.8436L11.3023 17.9791C11.4465 18.0001 11.5041 18.1772 11.3998 18.2789L10.7251 18.9365C10.6837 18.9769 10.6648 19.0351 10.6746 19.0921L10.8338 20.0206C10.8584 20.1642 10.7077 20.2738 10.5788 20.206L9.74485 19.7676C9.69364 19.7407 9.63247 19.7407 9.58126 19.7676L8.74735 20.206C8.61838 20.2738 8.46768 20.1642 8.49229 20.0206L8.65155 19.0921C8.66133 19.0351 8.64241 18.9769 8.60098 18.9365L7.92633 18.2789C7.82198 18.1772 7.87958 18 8.02377 17.9791L8.95606 17.8436C9.01331 17.8353 9.06282 17.7993 9.08842 17.7475L9.50538 16.9027C9.56995 16.772 9.75622 16.772 9.82073 16.9027Z" fill="#FEE45A" />
                                <path d="M22.9312 25.9863H9.82707C9.58432 25.9863 9.38762 26.183 9.38762 26.4258C9.38762 26.6685 9.58432 26.8652 9.82707 26.8652H22.9313C23.174 26.8652 23.3707 26.6685 23.3707 26.4258C23.3707 26.183 23.174 25.9863 22.9312 25.9863ZM17.1989 17.963C17.126 17.7386 16.9357 17.5782 16.7022 17.5443L15.9071 17.4287L15.5515 16.7082C15.4471 16.4967 15.2357 16.3652 14.9998 16.3652C14.7639 16.3652 14.5524 16.4967 14.4481 16.7082L14.0925 17.4287L13.2974 17.5443C13.0639 17.5782 12.8737 17.7387 12.8007 17.9631C12.7278 18.1875 12.7875 18.4291 12.9564 18.5937L13.5317 19.1545L13.3959 19.9465C13.3561 20.179 13.4499 20.4096 13.6408 20.5483C13.7486 20.6266 13.8748 20.6664 14.0018 20.6664C14.0995 20.6664 14.1978 20.6428 14.2886 20.5951L14.9998 20.2211L15.7109 20.5949C15.9197 20.7047 16.168 20.6867 16.3588 20.5482C16.5497 20.4095 16.6435 20.1789 16.6037 19.9464L16.4679 19.1544L17.0431 18.5937C17.212 18.4291 17.2718 18.1874 17.1989 17.963ZM15.755 18.6219C15.61 18.7633 15.5439 18.9669 15.5781 19.1664L15.6471 19.5684L15.2863 19.3787C15.107 19.2844 14.8928 19.2843 14.7135 19.3786L14.3526 19.5684L14.4215 19.1665C14.4557 18.9669 14.3896 18.7633 14.2446 18.6218L13.9525 18.3371L14.356 18.2786C14.5563 18.2495 14.7295 18.1237 14.8194 17.942L14.9998 17.5763L15.1805 17.9423C15.2702 18.1238 15.4433 18.2495 15.6435 18.2785L16.0471 18.3371L15.755 18.6219ZM23.8101 0H6.18945C4.97785 0 3.99219 0.985664 3.99219 2.19727V21.1436C3.99219 21.3863 4.18889 21.583 4.43164 21.583C4.67439 21.583 4.87109 21.3863 4.87109 21.1436V2.19727C4.87109 1.47029 5.46254 0.878906 6.18945 0.878906H23.8102C24.5371 0.878906 25.1285 1.47029 25.1285 2.19727V27.8027C25.1285 28.5296 24.5371 29.1211 23.8102 29.1211H6.18945C5.46254 29.1211 4.87109 28.5296 4.87109 27.8027V22.8312C4.87109 22.5884 4.67439 22.3917 4.43164 22.3917C4.18889 22.3917 3.99219 22.5884 3.99219 22.8312V27.8027C3.99219 29.0143 4.97785 30 6.18945 30H23.8102C25.0218 30 26.0074 29.0143 26.0074 27.8027V2.19727C26.0074 0.985664 25.0217 0 23.8101 0ZM22.9312 23.3496H9.82707C9.58432 23.3496 9.38762 23.5463 9.38762 23.7891C9.38762 24.0318 9.58432 24.2285 9.82707 24.2285H22.9313C23.174 24.2285 23.3707 24.0318 23.3707 23.7891C23.3707 23.5463 23.174 23.3496 22.9312 23.3496ZM7.50781 26.8652C7.75051 26.8652 7.94726 26.6685 7.94726 26.4258C7.94726 26.1831 7.75051 25.9863 7.50781 25.9863C7.26512 25.9863 7.06836 26.1831 7.06836 26.4258C7.06836 26.6685 7.26512 26.8652 7.50781 26.8652ZM7.46305 17.9629C7.39016 18.1873 7.44975 18.429 7.61867 18.5937L8.19406 19.1545L8.05818 19.9465C8.01834 20.179 8.11215 20.4095 8.30305 20.5482C8.49389 20.6868 8.74221 20.7047 8.95098 20.595L9.66219 20.2211L10.3733 20.595C10.4642 20.6427 10.5625 20.6664 10.6602 20.6663C10.7872 20.6663 10.9135 20.6265 11.0213 20.5481C11.2122 20.4094 11.3059 20.1788 11.266 19.9464L11.1302 19.1545L11.7056 18.5937C11.8745 18.429 11.9341 18.1873 11.8612 17.9629C11.7883 17.7386 11.598 17.5781 11.3646 17.5442L10.5694 17.4286L10.2138 16.7082C10.1095 16.4966 9.89803 16.3652 9.66213 16.3652C9.66213 16.3652 9.66207 16.3652 9.66201 16.3652C9.42611 16.3652 9.21471 16.4967 9.11047 16.7082L8.75492 17.4287L7.9598 17.5443C7.72625 17.5781 7.53594 17.7386 7.46305 17.9629ZM9.01818 18.2786C9.21875 18.2495 9.39195 18.1236 9.4816 17.942L9.66207 17.5763L9.8426 17.9419C9.93225 18.1237 10.1054 18.2495 10.3058 18.2785L10.7094 18.3371L10.4173 18.6219C10.2723 18.7633 10.2062 18.9669 10.2404 19.1664L10.3094 19.5684L9.94859 19.3787C9.76912 19.2843 9.55502 19.2843 9.37584 19.3786L9.01484 19.5684L9.08381 19.1665C9.11809 18.9669 9.05193 18.7633 8.90686 18.6218L8.61482 18.3371L9.01818 18.2786ZM22.0399 17.5443L21.2447 17.4287L20.8892 16.7082C20.7848 16.4967 20.5735 16.3652 20.3376 16.3652C20.3376 16.3652 20.3376 16.3652 20.3375 16.3652C20.1016 16.3652 19.8901 16.4966 19.7858 16.7082L19.4302 17.4287L18.6351 17.5443C18.4017 17.5781 18.2114 17.7386 18.1384 17.963C18.0655 18.1874 18.1251 18.429 18.294 18.5937L18.8694 19.1545L18.7337 19.9464C18.6937 20.1789 18.7875 20.4094 18.9783 20.5482C19.0862 20.6266 19.2124 20.6664 19.3394 20.6664C19.4372 20.6664 19.5355 20.6428 19.6263 20.5951L20.3375 20.2212L21.0487 20.5951C21.2574 20.7047 21.5058 20.6869 21.6966 20.5482C21.8875 20.4096 21.9812 20.179 21.9414 19.9464L21.8056 19.1545L22.381 18.5937C22.5499 18.429 22.6095 18.1873 22.5366 17.963C22.4637 17.7386 22.2733 17.5781 22.0399 17.5443ZM21.0927 18.6219C20.9476 18.7633 20.8815 18.9669 20.9158 19.1664L20.9847 19.5684L20.6239 19.3787C20.5342 19.3315 20.4358 19.3079 20.3374 19.3079C20.239 19.3079 20.1407 19.3314 20.0511 19.3786L19.6902 19.5684L19.7591 19.1665C19.7933 18.9669 19.7272 18.7633 19.5821 18.6218L19.2901 18.3371L19.6935 18.2786C19.8941 18.2495 20.0673 18.1236 20.1569 17.942L20.3374 17.5763L20.5179 17.9419C20.6076 18.1237 20.7808 18.2495 20.9811 18.2785L21.3847 18.3371L21.0927 18.6219ZM7.06836 23.7891C7.06836 24.0318 7.26512 24.2285 7.50781 24.2285C7.75051 24.2285 7.94726 24.0318 7.94726 23.7891C7.94726 23.5464 7.75051 23.3496 7.50781 23.3496C7.26512 23.3496 7.06836 23.5464 7.06836 23.7891ZM14.9996 1.75781C11.5118 1.75781 8.67248 4.61725 8.67248 8.08541C8.67248 11.4894 11.5335 14.4125 14.9996 14.4125C18.4886 14.4125 21.3271 11.5741 21.3271 8.08541C21.3271 4.59639 18.4886 1.75781 14.9996 1.75781ZM14.9996 13.5336C13.958 13.5336 12.9519 13.2335 12.092 12.6911C12.168 12.02 12.4711 11.3994 12.9611 10.9236C13.2421 10.6506 13.5774 10.4361 13.9389 10.2954C14.2548 10.4663 14.6162 10.5635 14.9998 10.5635C15.3833 10.5635 15.7446 10.4664 16.0604 10.2955C16.6551 10.5265 17.1609 10.9472 17.4977 11.4968C17.5806 11.6321 17.7249 11.7067 17.8728 11.7067C17.951 11.7067 18.0303 11.6858 18.102 11.6419C18.3089 11.5151 18.3738 11.2446 18.2471 11.0377C17.8896 10.4542 17.3853 9.98221 16.7908 9.66504C17.0705 9.29162 17.2363 8.82832 17.2363 8.32699V6.13436C17.2363 5.31111 16.5666 4.64139 15.7434 4.64139H14.2562C13.433 4.64139 12.7633 5.31111 12.7633 6.13436V8.32699C12.7633 8.82873 12.9294 9.29238 13.2095 9.66592C12.8961 9.8335 12.6048 10.0444 12.3488 10.2932C11.8351 10.792 11.48 11.4135 11.3095 12.0929C10.193 11.0679 9.55145 9.60662 9.55145 8.08559C9.55145 7.71152 9.58965 7.33705 9.66506 6.97271C10.186 4.46021 12.4296 2.63672 14.9996 2.63672C18.0039 2.63672 20.4482 5.08102 20.4482 8.08541C20.4482 11.0896 18.0039 13.5336 14.9996 13.5336ZM14.8631 7.39043C15.2989 7.24687 15.7672 7.31145 16.1479 7.56762L16.3574 7.70865V8.32687C16.3574 9.07547 15.7484 9.68449 14.9998 9.68449C14.2512 9.68449 13.6422 9.07547 13.6422 8.32687V7.79262L14.8631 7.39043ZM13.6422 6.8673V6.1343C13.6422 5.79568 13.9176 5.52023 14.2562 5.52023H15.7433C16.0819 5.52023 16.3573 5.79568 16.3573 6.1343V6.67676C15.8086 6.40711 15.1796 6.36076 14.588 6.55564L13.6422 6.8673Z" fill="black" />
                            </svg>

                        </div>
                        <?php echo sizeof($course_ids); ?> <?php echo site_phrase('courses') ?>
                    </div>
                </div>
            </div>


        </div>

        <div class="col-12">
            <!-- COURSE INFO TAB
                ================================================== -->
            <div id="Overview" class="mb-8">
                <ul class="nav course-tab-v1 border-bottom h4 mb-8">
                    <li class="nav-item">
                        <a class="nav-link active" href="#Overview" data-toggle="smooth-scroll" data-offset="0">Overview</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#Curriculum" data-toggle="smooth-scroll" data-offset="0">Courses</a>
                    </li>
                </ul>

                <h3 class=""><?php echo site_phrase('bio') ?></h3>
                <p class="mb-6 line-height-md" id="hide_show"> <?php if (strlen($instructor_details['biography']) > 300) :
                                                    echo substr($instructor_details['biography'], 0, 300);
                                                else :
                                                    echo $instructor_details['biography'];
                                                endif ?>
                </p>
                <p class="collapse mb-6 line-height-md" id="readcollapseExample">
                    <?php echo $instructor_details['biography']; ?>                
                </p>
                <a class="text-teal read-more h6 d-inline-block" data-toggle="collapse" href="#readcollapseExample" role="button" aria-expanded="false" aria-controls="readcollapseExample">
                    <span class="d-inline-flex align-items-center more" onclick="Hide()">
                        <?php echo site_phrase('read_more'); ?>
                        <span class="d-flex align-items-center justify-content-center bg-teal rounded-circle ml-2 p-2 w-26p">
                            <i class="fas fa-plus font-size-10 text-white"></i>
                        </span>
                    </span>
                    <span class="d-inline-flex align-items-center less" onclick="Show()">
                        <?php echo site_phrase('read_less'); ?>
                        <span class="d-flex align-items-center justify-content-center bg-teal rounded-circle ml-2 p-2 w-26p">
                            <i class="fas fa-minus font-size-10 text-white"></i>
                        </span>
                    </span>
                </a>
            </div>

            <div id="Curriculum" class="mb-8">
                <ul class="nav course-tab-v1 border-bottom h4 mb-8">
                    <li class="nav-item">
                        <a class="nav-link" href="#Overview" data-toggle="smooth-scroll" data-offset="0">Overview</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link active" href="#Curriculum" data-toggle="smooth-scroll" data-offset="0">Courses</a>
                    </li>
                </ul>

                <div class="mx-n4 mb-12" data-flickity='{"pageDots": true, "prevNextButtons": false, "cellAlign": "left", "wrapAround": true, "imagesLoaded": true}'>
                    <?php
                    foreach ($course_ids as $course_id) :
                        $top_course = $this->crud_model->get_course_by_id($course_id)->row_array();
                        $lessons = $this->crud_model->get_lessons('course', $top_course['id']);
                        $course_duration = $this->crud_model->get_total_duration_of_lesson_by_course_id($top_course['id']);
                    ?>
                        <div class="col-md-6 col-lg-4 col-xl-3 pb-4 pb-md-5">
                            <!-- Card -->
                            <div class="card border shadow p-2 lift sk-fade">
                                <!-- Image -->
                                <div class="card-zoom position-relative">
                                    <a onclick="$(location).attr('href', '<?php echo site_url('home/course/' . rawurlencode(slugify($top_course['title'])) . '/' . $top_course['id']); ?>');" href="javascript:;" class="card-img sk-thumbnail img-ratio-3 d-block">
                                        <img class="rounded shadow-light-lg" src="<?php echo $this->crud_model->get_course_thumbnail_url($top_course['id']); ?>" alt="...">
                                    </a>

                                    <span class="sk-fade-right badge-float bottom-0 right-0 mb-2 mr-2">
                                        <?php if ($top_course['is_free_course'] == 1) : ?>
                                            <ins class="h5 mb-0 text-white"><?php echo site_phrase('free'); ?></ins>
                                        <?php else : ?>
                                            <?php if ($top_course['discount_flag'] == 1) : ?>
                                                <del>
                                                    <?php echo currency($top_course['discounted_price']); ?>
                                                </del>
                                                <ins><?php echo currency($top_course['price']); ?></ins>

                                            <?php else : ?>
                                                <ins class="h5 mb-0 text-white"><?php echo currency($top_course['price']); ?></ins>
                                            <?php endif; ?>
                                        <?php endif; ?>

                                    </span>
                                </div>

                                <!-- Footer -->
                                <div class="card-footer px-2 pb-2 mb-1 pt-4 position-relative">
                                    <!-- Preheading -->
                                    <a href=""><span class="mb-1 d-inline-block text-gray-800"><?php echo $top_course['title']; ?></span></a>

                                    <!-- Heading -->
                                    <div class="position-relative">
                                        <a href="" class="d-block stretched-link">
                                            <h5 class="line-clamp-2 h-md-48 h-lg-58 mr-md-8 mr-lg-10 mr-xl-4 mb-2"><?php echo $top_course['short_description']; ?></h5>
                                        </a>

                                        <div class="row mx-n2 align-items-end">
                                            <div class="col px-2">
                                                <ul class="nav mx-n3">
                                                    <li class="nav-item px-3">
                                                        <div class="d-flex align-items-center">
                                                            <div class="mr-2 d-flex icon-uxs text-secondary">
                                                                <!-- Icon -->
                                                                <svg width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
                                                                    <path d="M17.1947 7.06802L14.6315 7.9985C14.2476 7.31186 13.712 6.71921 13.0544 6.25992C12.8525 6.11877 12.6421 5.99365 12.4252 5.88303C13.0586 5.25955 13.452 4.39255 13.452 3.43521C13.452 1.54098 11.9124 -1.90735e-06 10.0197 -1.90735e-06C8.12714 -1.90735e-06 6.58738 1.54098 6.58738 3.43521C6.58738 4.39255 6.98075 5.25955 7.61414 5.88303C7.39731 5.99365 7.1869 6.11877 6.98502 6.25992C6.32752 6.71921 5.79178 7.31186 5.40787 7.9985L2.8447 7.06802C2.33612 6.88339 1.79688 7.26044 1.79688 7.80243V16.5178C1.79688 16.8465 2.00256 17.14 2.31155 17.2522L9.75312 19.9536C9.93073 20.018 10.1227 20.0128 10.2863 19.9536L17.7278 17.2522C18.0368 17.14 18.2425 16.8465 18.2425 16.5178V7.80243C18.2425 7.26135 17.704 6.88309 17.1947 7.06802ZM10.0197 1.5625C11.0507 1.5625 11.8895 2.40265 11.8895 3.43521C11.8895 4.46777 11.0507 5.30792 10.0197 5.30792C8.98866 5.30792 8.14988 4.46777 8.14988 3.43521C8.14988 2.40265 8.98866 1.5625 10.0197 1.5625ZM9.23844 18.1044L3.35938 15.9703V8.91724L9.23844 11.0513V18.1044ZM10.0197 9.67255L6.90644 8.54248C7.58164 7.51892 8.75184 6.87042 10.0197 6.87042C11.2875 6.87042 12.4577 7.51892 13.1329 8.54248L10.0197 9.67255ZM16.68 15.9703L10.8009 18.1044V11.0513L16.68 8.91724V15.9703Z" fill="currentColor" />
                                                                </svg>

                                                            </div>
                                                            <div class="font-size-sm"><?php echo $lessons->num_rows() . ' ' . site_phrase('lessons'); ?></div>
                                                        </div>
                                                    </li>
                                                </ul>
                                            </div>

                                            <div class="col-auto px-2 text-right">
                                                <?php
                                                $total_rating = $this->crud_model->get_ratings('course', $top_course['id'], true)->row()->rating;
                                                $number_of_ratings = $this->crud_model->get_ratings('course', $top_course['id'])->num_rows();
                                                if ($number_of_ratings > 0) {
                                                    $average_ceil_rating = ceil($total_rating / $number_of_ratings);
                                                } else {
                                                    $average_ceil_rating = 0;
                                                }
                                                ?>

                                                <?php
                                                for ($i = 1; $i < 6; $i++) : ?>
                                                    <?php if ($i <= $average_ceil_rating) : ?>
                                                        <div class="star-rating-filled mb-2 mb-lg-0">
                                                            <div class="rating-filled w-100"></div>
                                                        </div>
                                                    <?php else : ?>
                                                        <div class="star-rating mb-2 mb-lg-0">
                                                            <div class="rating w-100"></div>
                                                        </div>
                                                    <?php endif; ?>

                                                <?php endfor; ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    <?php endforeach ?>
                </div>

            </div>
        </div>
    </div>
</div>
<script>
    function Hide(){
        $('#hide_show').hide();
    }
    function Show(){
        $('#hide_show').show();
    }
</script>