<?php
$course_details = $this->crud_model->get_course_by_id($payment_info['course_id'])->row_array();
$buyer_details = $this->user_model->get_all_user($payment_info['user_id'])->row_array();
$sub_category_details = $this->crud_model->get_category_details_by_id($course_details['sub_category_id'])->row_array();
$instructor_details = $this->user_model->get_all_user($course_details['user_id'])->row_array();
?>

<div class="bg-white woocommerce-order-received">
    <div class="container py-8 py-lg-11">
        <div class="row">
            <div class="col-xl-8 mx-xl-auto">
                <header class="text-center header-entry">
                    <h1 class="entry-title"><?php echo site_phrase('order_received'); ?></h1>
                    <img src="<?php echo base_url('uploads/system/') . get_frontend_settings('dark_logo'); ?>" height="40" alt="">

                    <p class="m-0 p-0"><?php echo get_settings('system_name'); ?></p>
                    <?php echo get_settings('system_email'); ?></br>
                    <?php echo get_settings('address'); ?></br>
                    <?php echo get_settings('phone'); ?>
                </header>

                <div class="entry-content">
                    <div class="woocommerce">
                        <div class="woocommerce-order">
                            <p class="woocommerce-notice woocommerce-notice--success woocommerce-thankyou-order-received"></p>

                            <ul class="woocommerce-order-overview woocommerce-thankyou-order-details order_details">
                                <li class="woocommerce-order-overview__order order">

                                </li>

                                <li class="woocommerce-order-overview__date date">
                                    <?php echo site_phrase('Date:') ?>
                                    <strong><?php echo date('D, d-M-Y', $payment_info['date_added']); ?></strong>
                                </li>

                                <li class="woocommerce-order-overview__total total">
                                    <?php echo site_phrase('Total:') ?>
                                    <strong><span class="woocommerce-Price-amount amount"><span class="woocommerce-Price-currencySymbol">£</span><?php echo currency($payment_info['amount']); ?></span></strong>
                                </li>

                                <li class="woocommerce-order-overview__payment-method method">
                                    <?php echo site_phrase('Payment method:') ?>
                                    <strong><?php echo ucfirst($payment_info['payment_type']); ?></strong>
                                </li>
                            </ul>

                            <section class="woocommerce-order-details">
                                <h2 class="woocommerce-order-details__title"><?php echo site_phrase('order_details') ?></h2>
                                <table class="woocommerce-table woocommerce-table--order-details shop_table order_details">
                                    <thead>
                                        <tr>

                                            <th class="woocommerce-table__product-name product-name"><?php echo site_phrase('instructor') ?></th>
                                            <th class="woocommerce-table__product-table product-total"><?php echo site_phrase('category') ?></th>
                                        </tr>
                                    </thead>
                                    <tbody>

                                        <tr class="woocommerce-table__line-item order_item">
                                            <td class="woocommerce-table__product-name product-name">
                                                <a href="#"><?php echo $instructor_details['first_name'].' '.$instructor_details['last_name']; ?></a>

                                            </td>

                                            <td class="woocommerce-table__product-total product-total">
                                                <span class="woocommerce-Price-amount amount"><span class="woocommerce-Price-currencySymbol">$</span><?php echo $sub_category_details['name']; ?></span>
                                            </td>
                                        </tr>


                                    </tbody>
                                    <thead>

                                        <tr>

                                            <th class="woocommerce-table__product-name product-name"><?php echo site_phrase('product') ?></th>
                                            <th class="woocommerce-table__product-table product-total"><?php echo site_phrase('total') ?></th>
                                        </tr>
                                    </thead>


                                    <tbody>

                                        <tr class="woocommerce-table__line-item order_item">
                                            <td class="woocommerce-table__product-name product-name">
                                                <a href="#"><?php echo $course_details['title']; ?></a>

                                            </td>

                                            <td class="woocommerce-table__product-total product-total">
                                                <span class="woocommerce-Price-amount amount"><span class="woocommerce-Price-currencySymbol">$</span><?php echo currency($payment_info['amount']); ?></span>
                                            </td>
                                        </tr>


                                    </tbody>

                                    <tfoot>
                                        <tr>
                                            <th scope="row"><?php echo site_phrase('subtotal:') ?></th>
                                            <td><span class="woocommerce-Price-amount amount"><span class="woocommerce-Price-currencySymbol">£</span><?php echo currency($payment_info['amount']); ?></span></td>
                                        </tr>
                                        <tr>
                                            <th scope="row"><?php echo site_phrase('payment_method:') ?></th>
                                            <td><?php echo ucfirst($payment_info['payment_type']); ?></td>
                                        </tr>
                                        <tr>
                                            <th scope="row"><?php echo site_phrase('total:') ?></th>
                                            <td><span class="woocommerce-Price-amount amount"><span class="woocommerce-Price-currencySymbol">£</span><?php echo currency($payment_info['amount']); ?></span></td>
                                        </tr>
                                    </tfoot>
                                </table>
                            </section>

                            <section class="woocommerce-customer-details">
                                <h2 class="woocommerce-column__title"><?php echo site_phrase('billing_address') ?></h2>
                                <address>
                                    <?php echo $buyer_details['first_name'] . ' ' . $buyer_details['last_name']; ?>

                                    <p class="woocommerce-customer-details--email"><?php echo $buyer_details['email']; ?></p>
                                </address>
                            </section>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>