<?php

$my_courses = $this->user_model->my_courses()->result_array();

$categories = array();
foreach ($my_courses as $my_course) {
    $course_details = $this->crud_model->get_course_by_id($my_course['course_id'])->row_array();
    if (!in_array($course_details['category_id'], $categories)) {
        array_push($categories, $course_details['category_id']);
    }
}
?>

<?php include "profile_menus.php"; ?>

<section class="my-courses-area">
    <div class="container">
        <div class="row">
            <div class="col-lg-6">
                <div class="my-course-filter-bar filter-box">
                    <span><?php echo site_phrase('filter_by'); ?></span>
                    <div class="btn-group">

                        <div class="dropdown mr-1 mb-1">
                            <button class="btn btn-primary btn-sm dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" data-display="static" >
                                Categories
                            </button>


                            <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                <?php foreach ($categories as $category) :
                                    $category_details = $this->crud_model->get_categories($category)->row_array();
                                ?>
                                    <a class="dropdown-item" href="#" id="<?php echo $category; ?>" onclick="getCoursesByCategoryId(this.id)"><?php echo $category_details['name']; ?></a>
                                <?php endforeach; ?>
                            </div>

                        </div>

                    </div>

                    <div class="btn-group">
                        <a href="<?php echo site_url('home/my_courses'); ?>" class="btn reset-btn" disabled><?php echo site_phrase('reset'); ?></a>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="my-course-search-bar">
                    <form action="">
                        <div class="input-group">
                            <input type="text" class="form-control py-2" placeholder="<?php echo site_phrase('search_my_courses'); ?>" onkeyup="getCoursesBySearchString(this.value)">

                        </div>
                    </form>
                </div>
            </div>
        </div>
        <div class="row row-cols-md-2 row-cols-xl-3 mb-6 mb-xl-3 mt-6" id="my_courses_area" >
            <?php foreach ($my_courses as $my_course) :
                $course_details = $this->crud_model->get_course_by_id($my_course['course_id'])->row_array();
                $instructor_details = $this->user_model->get_all_user($course_details['user_id'])->row_array();
                $ratings = $this->crud_model->get_ratings('course', $my_course['course_id'])->row_array();
            ?>

                <div class="col-md pb-4 pb-md-7">
                    <!-- Card -->
                    <div class="card card-border-hover border shadow-dark-hover p-2 lift sk-fade">
                        <!-- Image -->
                        <div class="card-zoom position-relative">
                            <a href="<?php echo site_url('home/lesson/' . rawurlencode(slugify($course_details['title'])) . '/' . $my_course['course_id']); ?>" class="card-img sk-thumbnail d-block">
                                <img class="rounded shadow-light-lg" src="<?php echo $this->crud_model->get_course_thumbnail_url($my_course['course_id']); ?>" alt="...">
                            </a>
                        </div>

                        <!-- Footer -->
                        <div class="card-footer px-2 pb-2 mb-1 pt-4 position-relative">



                            <!-- Preheading -->


                            <!-- Heading -->
                            <div class="position-relative">
                                <a href="<?php echo site_url('home/course/' . rawurlencode(slugify($course_details['title'])) . '/' . $my_course['course_id']); ?>">
                                    <span class="mb-1 d-inline-block text-gray-800"><?php echo ellipsis($course_details['title']); ?></span>
                                </a>
                                <div class="d-lg-flex align-items-end flex-wrap mb-n1">
                                    <?php
                                    $total_rating =  $this->crud_model->get_ratings('course', $my_course['id'], true)->row()->rating;
                                    $number_of_ratings = $this->crud_model->get_ratings('course', $my_course['id'])->num_rows();
                                    if ($number_of_ratings > 0) {
                                        $average_ceil_rating = ceil($total_rating / $number_of_ratings);
                                    } else {
                                        $average_ceil_rating = 0;
                                    }

                                    for ($i = 1; $i < 6; $i++) : ?>
                                        <?php if ($i <= $average_ceil_rating) : ?>
                                            <div class="star-rating-filled mb-2 mr-2 mb-lg-0">
                                                <div class="rating-filled w-100"></div>
                                            </div>
                                        <?php else : ?>
                                            <div class="star-rating mb-2 mr-2 mb-lg-0">
                                                <div class="rating w-100"></div>
                                            </div>
                                        <?php endif; ?>
                                    <?php endfor; ?>

                                    <div class="font-size-sm">
                                        <span><?php echo $average_ceil_rating; ?> (<?php echo $number_of_ratings . ' ' . site_phrase('reviews'); ?>) </span>
                                    </div>
                                </div>
                                <div class="your-rating-text mt-5 row px-2">
                                    <a href="javascript:;" class="btn btn-info col-12 color-2a303b" id="edit_rating_btn_<?php echo $my_course['id']; ?>" onclick="toggleRatingView('<?php echo $my_course['id']; ?>')"><i class="far fa-star mr-1"></i><?php echo site_phrase('edit_rating'); ?></a>

                                    <a href="javascript:;" class="btn btn-danger col-12 d-hidden color-2a303b" id="cancel_rating_btn_<?php echo $my_course['id']; ?>" onclick="toggleRatingView('<?php echo $my_course['id']; ?>')"><i class="far fa-window-close mr-1"></i><?php echo site_phrase('cancel_rating'); ?></a>
                                </div>
                                <form class="d-hidden" action="javascript:;" method="post" id="course_rating_view_<?php echo $my_course['id']; ?>">

                                    <div class="clearfix">
                                        <fieldset class="slect-rating mb-3" id="star_rating_of_course_<?php echo $my_course['id']; ?>">
                                            <?php for ($i = 5; $i >= 1; $i--) : ?>
                                                <input type="radio" id="star_<?php echo $my_course['id'] ?>_<?php echo $i; ?>" name="star_rating_<?php echo $my_course['id']; ?>" class="star_rating_of_course_<?php echo $my_course['id']; ?>" value="<?php echo $i; ?>" />
                                                <label class="full" for="star_<?php echo $my_course['id'] ?>_<?php echo $i; ?>" class="star_rating_of_course_<?php echo $my_course['id']; ?>" title=" <?php echo $i ?> stars"></label>
                                            <?php endfor; ?>

                                        </fieldset>
                                    </div>
                                    <div class="form-group mb-6">
                                        <label for="exampleFormControlTextarea1">Review Content</label>
                                        <textarea class="form-control placeholder-1" id="review_of_a_course_<?php echo $my_course['id']; ?>" rows="6" placeholder="Content"></textarea>
                                    </div>
                                    <div class="row mx-1">
                                        <button type="" onclick="publishRating('<?php echo $my_course['id'] ?>')" class="btn btn-success btn-block  col-12">SUBMIT REVIEW</button>

                                    </div>

                                </form>
                                <div class="row px-2">

                                    <a class="btn btn-primary mt-5 col-6 " href="<?php echo site_url('home/course/' . rawurlencode(slugify($course_details['title'])) . '/' . $my_course['course_id']); ?>"><i class="fab fa-readme mr-1"></i><?php echo site_phrase('Course_detail') ?></a>
                                    <a class="btn btn-secondary mt-5 col-5 offset-1" href="<?php echo site_url('home/lesson/' . rawurlencode(slugify($course_details['title'])) . '/' . $my_course['course_id']); ?>"><i class="fas fa-play mr-1"></i><?php echo site_phrase('Start_lesson') ?></a>

                                </div>

                            </div>
                        </div>



                    </div>
                </div>
            <?php endforeach; ?>
        </div>
    </div>
    

</section>


<script type="text/javascript">
    function getCoursesByCategoryId(category_id) {
        $.ajax({
            type: 'POST',
            url: '<?php echo site_url('home/my_courses_by_category'); ?>',
            data: {
                category_id: category_id
            },
            success: function(response) {
                $('#my_courses_area').html(response);
            }
        });
    }

    function getCoursesBySearchString(search_string) {
        $.ajax({
            type: 'POST',
            url: '<?php echo site_url('home/my_courses_by_search_string'); ?>',
            data: {
                search_string: search_string
            },
            success: function(response) {
                $('#my_courses_area').html(response);
            }
        });
    }

    function getCourseDetailsForRatingModal(course_id) {
        $.ajax({
            type: 'POST',
            url: '<?php echo site_url('home/get_course_details'); ?>',
            data: {
                course_id: course_id
            },
            success: function(response) {
                $('#course_title_1').append(response);
                $('#course_title_2').append(response);
                $('#course_thumbnail_1').attr('src', "<?php echo base_url() . 'uploads/thumbnails/course_thumbnails/'; ?>" + course_id + ".jpg");
                $('#course_thumbnail_2').attr('src', "<?php echo base_url() . 'uploads/thumbnails/course_thumbnails/'; ?>" + course_id + ".jpg");
                $('#course_id_for_rating').val(course_id);
                // $('#instructor_details').text(course_id);
                console.log(response);
            }
        });
    }
</script>