<?php foreach ($my_courses as $my_course) :

    $course_details = $this->crud_model->get_course_by_id($my_course['id'])->row_array();
    $instructor_details = $this->user_model->get_all_user($course_details['user_id'])->row_array();
    $ratings = $this->crud_model->get_ratings('course', $my_course['id'])->row_array();
?>

    <div class="col-md pb-4 pb-md-7">
        <!-- Card -->
        <div class="card card-border-hover border shadow-dark-hover p-2 lift sk-fade">
            <!-- Image -->
            <div class="card-zoom position-relative">
                <a href="<?php echo site_url('home/lesson/' . rawurlencode(slugify($course_details['title'])) . '/' . $my_course['id']); ?>" class="card-img sk-thumbnail d-block">
                    <img class="rounded shadow-light-lg" src="<?php echo $this->crud_model->get_course_thumbnail_url($my_course['id']); ?>" alt="...">
                </a>
            </div>

            <!-- Footer -->
            <div class="card-footer px-2 pb-2 mb-1 pt-4 position-relative">



                <!-- Preheading -->


                <!-- Heading -->
                <div class="position-relative">
                    <a href="<?php echo site_url('home/course/' . rawurlencode(slugify($course_details['title'])) . '/' . $my_course['id']); ?>">
                        <h4 class="mb-1 d-inline-block text-gray-800"><?php echo ellipsis($course_details['title']); ?></h4>
                    </a>
                    <div class="d-lg-flex align-items-end flex-wrap mb-n1">
                        <?php
                        $total_rating =  $this->crud_model->get_ratings('course', $my_course['id'], true)->row()->rating;
                        $number_of_ratings = $this->crud_model->get_ratings('course', $my_course['id'])->num_rows();
                        if ($number_of_ratings > 0) {
                            $average_ceil_rating = ceil($total_rating / $number_of_ratings);
                        } else {
                            $average_ceil_rating = 0;
                        }

                        for ($i = 1; $i < 6; $i++) : ?>
                            <?php if ($i <= $average_ceil_rating) : ?>
                                <div class="star-rating-filled mb-2 mr-2 mb-lg-0">
                                    <div class="rating-filled w-100"></div>
                                </div>
                            <?php else : ?>
                                <div class="star-rating mb-2 mr-2 mb-lg-0">
                                    <div class="rating w-100"></div>
                                </div>
                            <?php endif; ?>
                        <?php endfor; ?>

                        <div class="font-size-sm">
                            <span><?php echo $average_ceil_rating; ?> (<?php echo $number_of_ratings . ' ' . site_phrase('reviews'); ?>) </span>
                        </div>
                    </div>
                    <div class="mt-5">
                        <a href="javascript::" class="btn btn-info col-12 color-2a303b" id="edit_rating_btn_<?php echo $my_course['id']; ?>" onclick="toggleRatingView('<?php echo $my_course['id']; ?>')"><?php echo site_phrase('edit_rating'); ?></a>
                        <a href="javascript::" class="btn btn-danger col-12 d-hidden color-2a303b" id="cancel_rating_btn_<?php echo $my_course['id']; ?>" onclick="toggleRatingView('<?php echo $my_course['id']; ?>')"><?php echo site_phrase('cancel_rating'); ?></a>
                    </div>
                    <form class="d-hidden" action="javascript:;" method="post" id="course_rating_view_<?php echo $my_course['id']; ?>">

                        <div class="clearfix">
                            <fieldset class="slect-rating mb-3" id="star_rating_of_course_<?php echo $my_course['id']; ?>">
                                <?php for ($i = 5; $i >= 1; $i--) : ?>
                                    <input type="radio" id="star_<?php echo $my_course['id'] ?>_<?php echo $i; ?>" name="star_rating_<?php echo $my_course['id']; ?>" class="star_rating_of_course_<?php echo $my_course['id']; ?>" value="<?php echo $i; ?>" />
                                    <label class="full" for="star_<?php echo $my_course['id'] ?>_<?php echo $i; ?>" class="star_rating_of_course_<?php echo $my_course['id']; ?>" title=" <?php echo $i ?> stars"></label>
                                <?php endfor; ?>

                            </fieldset>
                        </div>
                        <div class="form-group mb-6">
                            <label for="exampleFormControlTextarea1">Review Content</label>
                            <textarea class="form-control placeholder-1" id="review_of_a_course_<?php echo $my_course['id']; ?>" rows="6" placeholder="Content"></textarea>
                        </div>
                        <div class="row mx-1">
                            <button type="" onclick="publishRating('<?php echo $my_course['id'] ?>')" class="btn btn-success btn-block  col-12">SUBMIT REVIEW</button>

                        </div>

                    </form>
                    <div class="row px-2">

                        <a class="btn btn-primary mt-5 col-6 " href="<?php echo site_url('home/course/' . rawurlencode(slugify($course_details['title'])) . '/' . $my_course['id']); ?>"><i class="fab fa-readme mr-1"></i><?php echo site_phrase('Course_detail') ?></a>
                        <a class="btn btn-secondary mt-5 col-5 offset-1" href="<?php echo site_url('home/lesson/' . rawurlencode(slugify($course_details['title'])) . '/' . $my_course['id']); ?>"><i class="fas fa-play mr-1"></i><?php echo site_phrase('Start_lesson') ?></a>

                    </div>

                </div>
            </div>
        </div>
    </div>
<?php endforeach; ?>