<?php $social_links = json_decode($user_details['social_links'], true); ?>
<?php include "profile_menus.php"; ?>

<section class="user-dashboard-area">

    <div class="container">
        <div class="row">
            <div class="card border my-5">

                <div class="row">
                    <div class="col-md-4 pr-0">
                        <div class="card-body">
                            <div class="d-flex flex-column">
                                <div class="avatar avatar-xxl align-self-center">
                                    <img src="<?php echo $this->user_model->get_user_image_url($this->session->userdata('user_id')); ?>" alt="..." class="avatar-img rounded-circle">

                                </div>
                                <div class="align-self-center">
                                    <?php echo $user_details['first_name'] . ' ' . $user_details['last_name']; ?>
                                </div>
                            </div>
                            <ul class="list-unstyled list-group mt-4">
                                <li><a class="list-group-item <?php if ($page_name == 'user_profile') echo 'active'; ?> " href="<?php echo site_url('home/profile/user_profile'); ?>"><?php echo site_phrase('profile'); ?></a></li>
                                <li><a class="list-group-item <?php if ($page_name == 'user_credentials') echo 'active'; ?>" href="<?php echo site_url('home/profile/user_credentials'); ?>"><?php echo site_phrase('account'); ?></a></li>
                                <li><a class="list-group-item <?php if ($page_name == 'update_user_photo') echo 'active'; ?>" href="<?php echo site_url('home/profile/user_photo'); ?>"><?php echo site_phrase('photo'); ?></a></li>
                            </ul>
                        </div>
                    </div>
                    <div class="col-md-8 pl-0">
                        <div class="card-body border-left">
                            <div class="text-center"><?php echo site_phrase('profile'); ?> </div>
                            <div class="text-center"><?php echo site_phrase('add_information_about_yourself_to_share_on_your_profile'); ?>.</div>

                        </div>
                        <div class="card-body border-top border-left">

                            <form action="<?php echo site_url('home/update_profile/update_basics'); ?>" method="post">
                                <div class="">

                                    <label for=""><?php echo site_phrase('basics'); ?>:</label>
                                </div>
                                <div class="form-label-group">
                                    <input type="text" class="form-control" name="first_name" id="FristName" placeholder="<?php echo site_phrase('first_name'); ?>" value="<?php echo $user_details['first_name']; ?>">
                                    <label for="FirstName">First Name</label>
                                </div>
                                <div class="form-label-group">
                                    <input type="text" class="form-control" id='LastName' name="last_name" placeholder="<?php echo site_phrase('last_name'); ?>" value="<?php echo $user_details['last_name']; ?>">
                                    <label for="LastName">Last Name</label>
                                </div>
                                <?php if ($user_details['is_instructor'] > 0) : ?>
                                    <div class="">

                                        <label for=""><?php echo site_phrase('Title'); ?>:</label>
                                    </div>
                                    <div class="form-label-group">

                                        <textarea class="form-control" id="title" name="title" placeholder="<?php echo site_phrase('short_title_about_yourself'); ?>"><?php echo $user_details['title']; ?></textarea>
                                        <label for="title"><?php echo site_phrase('short_title_about_yourself'); ?></label>
                                    </div>

                                    <div class="form-label-group">

                                        <input type="text" class="form-control bootstrap-tag-input w-100" id="skills" name="skills" placeholder="your skills" data-role="tagsinput"  value="<?php echo $user_details['skills'];  ?>" />
                                        <label for="skills"><?php echo get_phrase('your_skills'); ?></label>
                                        <small class="text-muted"><?php echo get_phrase('write_your_skill_and_click_the_enter_button'); ?></small>
                                    </div>
                                    <script type="text/javascript">
                                        $(function() {
                                            $(".bootstrap-tag-input").tagsinput('items');
                                        });
                                    </script>
                                <?php endif; ?>


                                <div class="form-label-group">
                                    <textarea class="form-control" name="" id="" cols="30" rows="5" placeholder="<?php echo site_phrase('Biography'); ?>"><?php echo html_entity_decode($user_details['biography']); ?></textarea>
                                    <label for=""><?php echo site_phrase('biography'); ?>:</label>
                                </div>

                                <div class="form-label-group">
                                    <input type="password" class="form-control" id="twitter" maxlength="60" name="twitter_link" placeholder="<?php echo site_phrase('twitter_link'); ?>" value="<?php echo $social_links['twitter']; ?>">
                                    <label for="twitter">Twitter</label>
                                    <small class="form-text text-muted"><?php echo site_phrase('add_your_twitter_link'); ?>.</small>
                                </div>
                                <div class="form-label-group">
                                    <input type="text" class="form-control" maxlength="60" id="facebook" name="facebook_link" placeholder="<?php echo site_phrase('facebook_link'); ?>" value="<?php echo $social_links['facebook']; ?>">
                                    <label for="facebook">Facebook</label>
                                    <small class="form-text text-muted"><?php echo site_phrase('add_your_facebook_link'); ?>.</small>

                                </div>
                                <div class="form-label-group">
                                    <input type="text" class="form-control" id="linkedin" maxlength="60" name="linkedin_link" placeholder="<?php echo site_phrase('linkedin_link'); ?>" value="<?php echo $social_links['linkedin']; ?>">
                                    <label for="linkedin">Linkedin</label>
                                    <small class="form-text text-muted"><?php echo site_phrase('add_your_linkedin_link'); ?>.</small>

                                </div>
                                <div class="mt-6">
                                    <button class="btn btn-block btn-success lift" type="submit">
                                        <?= site_phrase('save'); ?>
                                    </button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
</section>